const FTYPE_TEXT = 0;
const SELOPTION_TEXT = 1;
const FTYPE_BUTTON = 2;
const FTYPE_PLACEHOLDER = 3;
const FTYPE_IMG = 4;


// Function lists out all text in various supported languages	
function translate_page_content(loading_page) 
{
	printDebug('running translate_page_content(' + loading_page + ')');
	
	var tContentObj = new Array();

	// Translate menus
	if ((global_spanish > 0) && (global_curr_page.indexOf("startup_") <= -1))
	{
		for (i=1; i<=5; i++)
		{
			document.getElementById(global_curr_page + '_menu' + i).innerHTML = GetMenuText(i);
		}
	}
	WAITING_STATUS_MSG = trans_dyn_content("Waiting on Response");
	
	switch(loading_page)
	{
		
	// Monthly calendar page
	case "calendar":
		tContentObj[tContentObj.length] = { fieldName: "caldash_todis", fieldType: FTYPE_TEXT,
			english: "Today is", 
			spanish: "Hoy es", 
		};	
		tContentObj[tContentObj.length] = { fieldName: "transCalDirTip1", fieldType: FTYPE_TEXT,
			english: "Click on a date to record symptoms", 
			spanish: "Escoja un da para registrar sus seales", 
		};
		tContentObj[tContentObj.length] = { fieldName: "transCalDirTip2", fieldType: FTYPE_TEXT,
			english: "Problems?  Email", 
			spanish: "Problemas? Vea", 
		};				
		tContentObj[tContentObj.length] = { fieldName: "LegendText", fieldType: FTYPE_TEXT,
			english: "Legend:", 
			spanish: "Leyenda:", 
		};
		tContentObj[tContentObj.length] = { fieldName: "legPh1", fieldType: FTYPE_TEXT,
			english: "Phase I", 
			spanish: "Fase I", 
		};
		tContentObj[tContentObj.length] = { fieldName: "legPh2", fieldType: FTYPE_TEXT,
			english: "Phase II", 
			spanish: "Fase II", 
		};
		tContentObj[tContentObj.length] = { fieldName: "legPh3", fieldType: FTYPE_TEXT,
			english: "Phase III", 
			spanish: "Fase III", 
		};
		tContentObj[tContentObj.length] = { fieldName: "legPhUnk", fieldType: FTYPE_TEXT,
			english: "Unknown", 
			spanish: "Desconocida", 
		};
		tContentObj[tContentObj.length] = { fieldName: "legFutMens", fieldType: FTYPE_TEXT,
			english: "Future Menses", 
			spanish: "Prxima menstruacin", 
		};	
		tContentObj[tContentObj.length] = { fieldName: "CalendarDOW_1", fieldType: FTYPE_TEXT,
			english: "Sun", 
			spanish: "Dom", 
		};
		tContentObj[tContentObj.length] = { fieldName: "CalendarDOW_2", fieldType: FTYPE_TEXT,
			english: "Mon", 
			spanish: "Lun", 
		};
		tContentObj[tContentObj.length] = { fieldName: "CalendarDOW_3", fieldType: FTYPE_TEXT,
			english: "Tue", 
			spanish: "Mar", 
		};
		tContentObj[tContentObj.length] = { fieldName: "CalendarDOW_4", fieldType: FTYPE_TEXT,
			english: "Wed", 
			spanish: "Mier", 
		};
		tContentObj[tContentObj.length] = { fieldName: "CalendarDOW_5", fieldType: FTYPE_TEXT,
			english: "Thu", 
			spanish: "Jue", 
		};
		tContentObj[tContentObj.length] = { fieldName: "CalendarDOW_6", fieldType: FTYPE_TEXT,
			english: "Fri", 
			spanish: "Vie", 
		};
		tContentObj[tContentObj.length] = { fieldName: "CalendarDOW_7", fieldType: FTYPE_TEXT,
			english: "Sat", 
			spanish: "Sb", 
		};
		tContentObj[tContentObj.length] = { fieldName: "legCycDay", fieldType: FTYPE_TEXT,
			english: "(number) = Cycle Day", 
			spanish: "(nmero) = Da del Ciclo", 
		};
		tContentObj[tContentObj.length] = { fieldName: "legItalDate", fieldType: FTYPE_TEXT,
			english: "&nbsp;<i>Italic date</i>&nbsp;", 
			spanish: "&nbsp;<i>da en itlico</i>&nbsp;", 
		};
		tContentObj[tContentObj.length] = { fieldName: "legFirstDay", fieldType: FTYPE_TEXT,
			english: "first day of cycle", 
			spanish: "primer da del ciclo", 
		};		
		tContentObj[tContentObj.length] = { fieldName: "subend1", fieldType: FTYPE_TEXT,
			english: "<b><font color='#ff7474'>Your premium subscription expired:</font></b><br> <i>Only viewing of data is permitted. Some data entry requires an Active Premium Subscription at CycleProGo.com. Tap <u>here</u> for more info.</i>", 
			spanish: "<b><font color='#ff7474'>Su suscripcin ha expirado:</font></b><br> <i>La interpretacin de su grfica y los colores correspondientes a las fases del ciclo, no estn disponibles.  Esta funcin requiere una suscripcin activa.  Haga clic <u> aqu </u> para ms informacin.</i>", 
		};
		tContentObj[tContentObj.length] = { fieldName: "subend2", fieldType: FTYPE_TEXT,
			english: "<b><font color='#ff7474'>Mucus and temperature recording is not available:</font></b><br> <i>Visit CycleProGo.com to update your account or enroll in a class to learn more</i>", 
			spanish: "<b><font color='#ff7474'>La funcin de interpretar su grfica no est disponible:</font></b><br> <i>Usted puede continuar anotando sus seales de fertilidad pero no podr ver las fases de su ciclo.</i>", 
		};
		tContentObj[tContentObj.length] = { fieldName: "divWaitMsg", fieldType: FTYPE_TEXT,
			english: "<b><u>Please Wait</u></b><br>Loading requested content...", 
			spanish: "<b><u>Favor de esperar</u></b><br>Actualizando la informacin...", 
		};		
		break;
	
	// Daily Symptom Entry Page
	case "calendar_ccl_basic":
		tContentObj[tContentObj.length] = { fieldName: "divDay0", fieldType: FTYPE_TEXT,
			english: "Su", 
			spanish: "Do",
		};
		tContentObj[tContentObj.length] = { fieldName: "divDay1", fieldType: FTYPE_TEXT,
			english: "Mo", 
			spanish: "Lu",
		};
		tContentObj[tContentObj.length] = { fieldName: "divDay2", fieldType: FTYPE_TEXT,
			english: "Tu", 
			spanish: "Ma",
		};
		tContentObj[tContentObj.length] = { fieldName: "divDay3", fieldType: FTYPE_TEXT,
			english: "We", 
			spanish: "Mi",
		};
		tContentObj[tContentObj.length] = { fieldName: "divDay4", fieldType: FTYPE_TEXT,
			english: "Th", 
			spanish: "Ju",
		};
		tContentObj[tContentObj.length] = { fieldName: "divDay5", fieldType: FTYPE_TEXT,
			english: "Fr", 
			spanish: "Vi",
		};
		tContentObj[tContentObj.length] = { fieldName: "divDay6", fieldType: FTYPE_TEXT,
			english: "Sa", 
			spanish: "S",
		};
		tContentObj[tContentObj.length] = { fieldName: "tranNewCht", fieldType: FTYPE_TEXT,
			english: "New Chart", 
			spanish: "Nuevo ciclo",
		};
		tContentObj[tContentObj.length] = { fieldName: "mensChkLbl", fieldType: FTYPE_TEXT,
			english: "This day should start a new chart", 
			spanish: "Este da debe comenzar un nuevo ciclo",
		};
		tContentObj[tContentObj.length] = { fieldName: "CycType", fieldType: SELOPTION_TEXT, index: 0,
			english: "Regular Cycle Charting", 
			spanish: "Ciclos Regular",
		};
		tContentObj[tContentObj.length] = { fieldName: "CycType", fieldType: SELOPTION_TEXT, index: 1,
			english: "Postpartum (nursing)", 
			spanish: "Ciclo Posparto(lactancia)",
		};
		tContentObj[tContentObj.length] = { fieldName: "CycType", fieldType: SELOPTION_TEXT, index: 2,
			english: "Postpartum (formula)", 
			spanish: "Ciclo Posparto (frmula)",
		};
		tContentObj[tContentObj.length] = { fieldName: "CycType", fieldType: SELOPTION_TEXT, index: 3,
			english: "Premenopause Charting", 
			spanish: "Ciclo Premenopausia",
		};
		tContentObj[tContentObj.length] = { fieldName: "ANumChkLbl", fieldType: FTYPE_TEXT,
			english: "Auto Number Cycle", 
			spanish: "Numeracin automtica",
		};
		tContentObj[tContentObj.length] = { fieldName: "NManChkLbl", fieldType: FTYPE_TEXT,
			english: "Number Manually", 
			spanish: "Numeracin manual",
		};		
		tContentObj[tContentObj.length] = { fieldName: "tranMens", fieldType: FTYPE_TEXT,
			english: "Menstruation / Bleeding", 
			spanish: "Menstruacin / Sangrado",
		};
		tContentObj[tContentObj.length] = { fieldName: "MensFlow", fieldType: SELOPTION_TEXT, index: 0,
			english: "None", 
			spanish: "Nada",
		};
		tContentObj[tContentObj.length] = { fieldName: "MensFlow", fieldType: SELOPTION_TEXT, index: 1,
			english: "Spotting", 
			spanish: "Manchado",
		};
		tContentObj[tContentObj.length] = { fieldName: "MensFlow", fieldType: SELOPTION_TEXT, index: 2,
			english: "Light Flow", 
			spanish: "Ligera",
		};
		tContentObj[tContentObj.length] = { fieldName: "MensFlow", fieldType: SELOPTION_TEXT, index: 3,
			english: "Heavy Flow", 
			spanish: "Abundante",
		};
		tContentObj[tContentObj.length] = { fieldName: "SpotChkLbl", fieldType: FTYPE_TEXT,
			english: "Spotting/Bleeding", 
			spanish: "Manchado",
		};
		tContentObj[tContentObj.length] = { fieldName: "transTempLbl", fieldType: FTYPE_TEXT,
			english: "Temperature", 
			spanish: "Temperatura",
		};
		tContentObj[tContentObj.length] = { fieldName: "tempTextbox", fieldType: FTYPE_PLACEHOLDER,
			english: "Temperature", 
			spanish: "Temperatura",
		};
		tContentObj[tContentObj.length] = { fieldName: "AbnChkLbl", fieldType: FTYPE_TEXT,
			english: "Abnormal Temp", 
			spanish: "Temp alterada",
		};
		tContentObj[tContentObj.length] = { fieldName: "transMucSens", fieldType: FTYPE_TEXT,
			english: "Mucus Sensations", 
			spanish: "Sensaciones",
		};
		tContentObj[tContentObj.length] = { fieldName: "MucusSense", fieldType: SELOPTION_TEXT, index: 0,
			english: "Unknown/Obscured", 
			spanish: "Desconocida",
		};
		tContentObj[tContentObj.length] = { fieldName: "MucusSense", fieldType: SELOPTION_TEXT, index: 1,
			english: "dry (d)", 
			spanish: "seca (s)",
		};
		tContentObj[tContentObj.length] = { fieldName: "MucusSense", fieldType: SELOPTION_TEXT, index: 2,
			english: "moist (m)", 
			spanish: "hmeda (h)",
		};
		tContentObj[tContentObj.length] = { fieldName: "MucusSense", fieldType: SELOPTION_TEXT, index: 3,
			english: "wet (w)", 
			spanish: "mojada (m)",
		};
		tContentObj[tContentObj.length] = { fieldName: "MucusSense", fieldType: SELOPTION_TEXT, index: 4,
			english: "slippery (sl)", 
			spanish: "resbalosa (r)",
		};
		tContentObj[tContentObj.length] = { fieldName: "MucusSense", fieldType: SELOPTION_TEXT, index: 5,
			english: "wet, slippery (w, sl)", 
			spanish: "mojada, resbalosa (m, r)",
		};
		tContentObj[tContentObj.length] = { fieldName: "transMucChar", fieldType: FTYPE_TEXT,
			english: "Mucus Characteristics", 
			spanish: "Caractersticas",
		};
		tContentObj[tContentObj.length] = { fieldName: "MucusChar", fieldType: SELOPTION_TEXT, index: 0,
			english: "Unknown/Obscured", 
			spanish: "Desconocida",
		};
		tContentObj[tContentObj.length] = { fieldName: "MucusChar", fieldType: SELOPTION_TEXT, index: 1,
			english: "nothing (n)", 
			spanish: "nada (n)",
		};
		tContentObj[tContentObj.length] = { fieldName: "MucusChar", fieldType: SELOPTION_TEXT, index: 2,
			english: "tacky (t)", 
			spanish: "pegajosa (p)",
		};
		tContentObj[tContentObj.length] = { fieldName: "MucusChar", fieldType: SELOPTION_TEXT, index: 3,
			english: "stretchy (s)", 
			spanish: "elstica (e)",
		};
		tContentObj[tContentObj.length] = { fieldName: "transMucDesc", fieldType: FTYPE_TEXT,
			english: "Mucus Description", 
			spanish: "Descripcin mucosidad",
		};
		tContentObj[tContentObj.length] = { fieldName: "transCoitus", fieldType: FTYPE_TEXT,
			english: "Coitus", 
			spanish: "Coito",
		};
		tContentObj[tContentObj.length] = { fieldName: "coitChkLbl", fieldType: FTYPE_TEXT,
			english: "Coitus", 
			spanish: "Coito",
		};
		tContentObj[tContentObj.length] = { fieldName: "tranPerNts", fieldType: FTYPE_TEXT,
			english: "General <br>Personal <br>Notes", 
			spanish: "Notas",
		};
		tContentObj[tContentObj.length] = { fieldName: "hdrOtherEv", fieldType: FTYPE_TEXT,
			english: "Record Other Events", 
			spanish: "Registra otros eventos",
		};
		tContentObj[tContentObj.length] = { fieldName: "transOvAm", fieldType: FTYPE_TEXT,
			english: "Ovulation Test in AM", 
			spanish: "Test ovulacin AM",
		};
		tContentObj[tContentObj.length] = { fieldName: "OvTestAmNone", fieldType: FTYPE_TEXT,
			english: "None", 
			spanish: "Nada",
		};
		tContentObj[tContentObj.length] = { fieldName: "transOvPm", fieldType: FTYPE_TEXT,
			english: "Ovulation Test in PM", 
			spanish: "Test ovulacin PM",
		};
		tContentObj[tContentObj.length] = { fieldName: "OvTestPmNone", fieldType: FTYPE_TEXT,
			english: "None", 
			spanish: "Nada",
		};
		tContentObj[tContentObj.length] = { fieldName: "transFerMon", fieldType: FTYPE_TEXT,
			english: "Fertility Monitor", 
			spanish: "Monitor de fertilidad",
		};
		tContentObj[tContentObj.length] = { fieldName: "FertMonitorSelect", fieldType: SELOPTION_TEXT, index: 0,
			english: "N/A", 
			spanish: "N/A",
		};
		tContentObj[tContentObj.length] = { fieldName: "FertMonitorSelect", fieldType: SELOPTION_TEXT, index: 1,
			english: "Low 'L'", 
			spanish: "Bajo 'B'",
		};
		tContentObj[tContentObj.length] = { fieldName: "FertMonitorSelect", fieldType: SELOPTION_TEXT, index: 2,
			english: "High 'H'", 
			spanish: "Alto 'A'",
		};
		tContentObj[tContentObj.length] = { fieldName: "FertMonitorSelect", fieldType: SELOPTION_TEXT, index: 3,
			english: "Peak 'P'", 
			spanish: "Cspide'C'",
		};
		tContentObj[tContentObj.length] = { fieldName: "divDataEntryMember", fieldType: FTYPE_TEXT,
			english: "<p></p><span style='font-size:20px;'>Looking to record Temperature, Menstruation, Mucus Sensation, Mucus Characteristics, Cervix Openness, or Cervix Firmness?</span> <p></p> Observation of these symptoms requires proper training because analysis can only be as good as the data you enter. Consider enrolling in a CCL natural family planning class if you have not already. Proper training and access to support is critical to successful charting.  Please visit CyclePro<i>Go</i>.com to enroll and maintain access to charting support.  If you already had CCL training, you can update your account status at CycleProGo.com (use the same username and password that you setup for this app). Touch here for more information.",
			spanish: "<p></p><span style='font-size:20px;'>Deseas llevar tu registro de temperaturas, menstruacin, sensaciones y caractersticas de la mucosidad?</span> <p></p> La observacin precisa de estos signos, require el entrenamiento adecuado. La interpretacin de los signos depende de la precisin con la que haga sus observaciones. Considere tomar el curso de la Liga de Pareja a Pareja - LPP, si an no lo ha tomado. Visite CyclePro<i>Go</i>.com para mayor informacin o para preguntas sobre sus grficas.  Si ya ha tomado el entrenamiento de la LPP, usted puede actualizar el estatus de su cuenta visitando CycleProGo.com (utilice el mismo nombre de usuario y contrasea que us al crear su perfl). Presione aqu para ms informacin.",
		};	
		break;
	case "calendar_basic":
		// Non-CCL version
		break;
	case "analysis_chart":
	case "analysis_ccl_chart":
		tContentObj[tContentObj.length] = { fieldName: "chtchgcyc", fieldType: FTYPE_BUTTON,
			english: "Change Cycle", 
			spanish: "Cambio Ciclo",
		};	
		tContentObj[tContentObj.length] = { fieldName: "chtmv21back", fieldType: FTYPE_BUTTON,
			english: "21 days >>", 
			spanish: "21 das >>",
		};
		tContentObj[tContentObj.length] = { fieldName: "chtmv21fwd", fieldType: FTYPE_BUTTON,
			english: "<< 21 days", 
			spanish: "<< 21 das",
		};
		tContentObj[tContentObj.length] = { fieldName: "SelCyc_analysis_ccl_chart", fieldType: FTYPE_TEXT,
			english: "Cycle Date", 
			spanish: "Fecha del ciclo",
		};
		tContentObj[tContentObj.length] = { fieldName: "tranCycFertCht", fieldType: FTYPE_TEXT,
			english: "Cycle's Fertility Chart", 
			spanish: "Grfica de fertilidad",
		};
		tContentObj[tContentObj.length] = { fieldName: "ChartingY_R16", fieldType: FTYPE_TEXT,
			english: "Day of Cycle", 
			spanish: "Da del ciclo",
		};
		tContentObj[tContentObj.length] = { fieldName: "ChartingY_R17", fieldType: FTYPE_TEXT,
			english: "Mens Flow", 
			spanish: "Menstruacin",
		};
		tContentObj[tContentObj.length] = { fieldName: "ChartingY_R18", fieldType: FTYPE_TEXT,
			english: "Peak Day", 
			spanish: "Da Cspide",
		};
		tContentObj[tContentObj.length] = { fieldName: "ChartingY_R19", fieldType: FTYPE_TEXT,
			english: "Muc. Symbol", 
			spanish: "Smbolo",
		};
		tContentObj[tContentObj.length] = { fieldName: "ChartingY_R20", fieldType: FTYPE_TEXT,
			english: "Sensations", 
			spanish: "Sensaciones",
		};
		tContentObj[tContentObj.length] = { fieldName: "ChtExtendRowsN21", fieldType: FTYPE_TEXT,
			english: "Mucus Char.", 
			spanish: "Caractersticas",
		};
		tContentObj[tContentObj.length] = { fieldName: "ChartingMucDescCell1", fieldType: FTYPE_TEXT,
			english: "BIP Counter", 
			spanish: "Cuenta de PBI",
		};
		tContentObj[tContentObj.length] = { fieldName: "ChartingMucDescCell2", fieldType: FTYPE_TEXT,
			english: "Mucus Desc.", 
			spanish: "Descripcin mucosidad",
		};
		tContentObj[tContentObj.length] = { fieldName: "ChtExtendRowsN23", fieldType: FTYPE_TEXT,
			english: "Ov. Testing", 
			spanish: "Test Ovulacin",
		};
		tContentObj[tContentObj.length] = { fieldName: "ChtExtendRowsN22", fieldType: FTYPE_TEXT,
			english: "Cervix", 
			spanish: "Cuello tero",
		};
		tContentObj[tContentObj.length] = { fieldName: "ChtExtendRowsN24", fieldType: FTYPE_TEXT,
			english: "Fert. Monitor", 
			spanish: "Monitor",
		};
		tContentObj[tContentObj.length] = { fieldName: "ChartingYearCell", fieldType: FTYPE_TEXT,
			english: "Dates", 
			spanish: "Fechas",
		};
		tContentObj[tContentObj.length] = { fieldName: "ChtEvNCoitus", fieldType: FTYPE_TEXT,
			english: "Coitus", 
			spanish: "Coito",
		};
		tContentObj[tContentObj.length] = { fieldName: "transChtNotLeg", fieldType: FTYPE_TEXT,
			english: "Charting Notation Legend", 
			spanish: "Leyenda de anotaciones",
		};
		tContentObj[tContentObj.length] = { fieldName: "transChtShade", fieldType: FTYPE_TEXT,
			english: "Chart Shading", 
			spanish: "Colores",
		};
		tContentObj[tContentObj.length] = { fieldName: "transChLePh1", fieldType: FTYPE_TEXT,
			english: "Phase I", 
			spanish: "Fase I",
		};
		tContentObj[tContentObj.length] = { fieldName: "transChLePh2", fieldType: FTYPE_TEXT,
			english: "Phase II", 
			spanish: "Fase II",
		};
		tContentObj[tContentObj.length] = { fieldName: "transChLePh3", fieldType: FTYPE_TEXT,
			english: "Phase III", 
			spanish: "Fase III",
		};
		tContentObj[tContentObj.length] = { fieldName: "transChLePhUnk", fieldType: FTYPE_TEXT,
			english: "Unknown", 
			spanish: "Desconocida",
		};	
		tContentObj[tContentObj.length] = { fieldName: "shaded_chart_legend_nosub", fieldType: FTYPE_TEXT,
			english: "Some features are <b><u>disabled</u></b> because they<br> require an Active Premium Subscription.", 
			spanish: "Algunas de las funciones estn <b><u>desactivadas</u></b> debido a que<br> requiren activar su susbscripcin.",
		};
		tContentObj[tContentObj.length] = { fieldName: "shaded_chart_legend_nosub_ios", fieldType: FTYPE_TEXT,
			english: "Chart Shading is <b><u>not</u></b> available. Please log into the CycleProGo.com website.", 
			spanish: "Divisin de fases en color <b><u>no est</u></b> disponible.",
		};
		tContentObj[tContentObj.length] = { fieldName: "transChtInterp", fieldType: FTYPE_TEXT,
			english: "Chart Interpretation",
			spanish: "Interpretacin de la grfica",
		};
		tContentObj[tContentObj.length] = { fieldName: "transChtLegPeakDay", fieldType: FTYPE_TEXT,
			english: "<u>Peak Day:</u><br>Peak Day is marked by a 'P' in the 'Peak Day' row.  The 3 days following peak day are numbered (1-3).  Peak day is calculated based upon the Phase III rule you chose for the given cycle (either the ST Rule or the Mucus Only Rule).", 
			spanish: "<u>Da Cspide:</u><br>Da Cspide se indica con una 'C' en la fila de 'Da Cspide'.  Da Cspide se refiere al ltimo da de mucosidad frtil.",
		};
		tContentObj[tContentObj.length] = { fieldName: "transChtLegThermSh", fieldType: FTYPE_TEXT,
			english: "<u>Thermal Shift:</u><br>A thermal shift is indicated as shown.", 
			spanish: "<u>Subida de temperatura:</u><br>La subida se indica de la siguiente manera.",
		};
		tContentObj[tContentObj.length] = { fieldName: "transChtLegLTLInfo", fieldType: FTYPE_TEXT,
			english: "The LTL (low temperature line) is indicated by the lower red line and the HTL (high temperature line) is indicated by the upper red line.The 6 days prior to the temperature shift are numbered (1-6) counting back from the thermal shift to show what the LTL is based on.  The ST Rule or the Temperature Only Rule is used to calculate the thermal shift depending upon what Phase III rule you chose for the given cycle.", 
			spanish: "La Lnea de Base se indica con una lnea horizontal roja. Los 6 das anteriores a 3 temperaturas elevadas son los que se usan para marcar la Lnea de Base.",
		};
		tContentObj[tContentObj.length] = { fieldName: "transChtLegFertMon", fieldType: FTYPE_TEXT,
			english: "<u>Fertility Monitor:</u><br><img src='images/legend_ccl_monitor.png' align='right' style='padding-left:10px;'> The Fertility Monitor analysis marks Peak Day by placing an <b>X</b> overtop the recorded symptom.", 
			spanish: "<u>Monitores de fertilidad:</u><br><img src='images/legend_ccl_monitor_esp.png' align='right' style='padding-left:10px;'> Cuando se usa el monitor de fertilidad, el da ms frtil lo identifica con una <b>X</b>.",
		};
		tContentObj[tContentObj.length] = { fieldName: "transChtLegSymb", fieldType: FTYPE_TEXT,
			english: "Denoted Symptoms", 
			spanish: "Sntomas descritos",
		};	
		tContentObj[tContentObj.length] = { fieldName: "transChtLegMensFl", fieldType: FTYPE_TEXT,
			english: "<u>Mens Flow:</u><br><img src='images/legend_ccl_flow.png' align='right' style='padding-left:10px;'>Menstruation Flow is indicated as shown based on whether heavy, light, or spotting was selectedThe cell is empty if 'None' was recorded.",
			spanish: "<u>Menstruacin:</u><br><img src='images/legend_ccl_flow_esp.png' align='right' style='padding-left:10px;'>Seleccione abundante, ligera o manchado para describir su menstruacin.",
		};
		tContentObj[tContentObj.length] = { fieldName: "transChtLegMucSy", fieldType: FTYPE_TEXT,
			english: "<u>Mucus Symbol:</u><br><img src='images/legend_ccl_mucus.png' align='right' style='padding-left:10px;'> The mucus symbol considers the recorded mucus sensation and mucus characteristics and indicates 1 of 3 symbols.  If no mucus symptoms were recorded, the cell is empty. The 'Mucus Sensations' row uses <b>d</b> (dry), <b>m</b> (moist), <b>w</b> (wet), <b>sl</b> (slippery), and <b>w, sl</b> (wet, slippery) to show what was recorded.  The 'Mucus Characteristic' row indicates <b>n</b> (nothing), <b>t</b> (tacky), or <b>s</b> (stretchy).", 
			spanish: "<u>Mucosidad:</u><br>Hay dos maneras de observar las mucosidades: las sensaciones y las caractersticas. La fila de 'Sensaciones' incluye <b>s</b> (seco), <b>h</b> (hmeda), <b>m</b> (mojada), y <b>r</b> (resbalosa).  La fila de Caractersticas incluye <b>n</b> (nada), <b>p</b> (pegajosa), y <b>e</b> (elstica).",
		};
		tContentObj[tContentObj.length] = { fieldName: "transChtLegCerv", fieldType: FTYPE_TEXT,
			english: "<u>Cervix:</u><br>Cervix hardness uses <b>h</b> (hard) or <b>so</b> (soft).  The openness is depicted by increasingly larger dots as shown.", 
			spanish: "",
		};
		tContentObj[tContentObj.length] = { fieldName: "transChtLegOvTst", fieldType: FTYPE_TEXT,
			english: "<u>Ovulation Testing:</u><br> A positive ovulation test is indicated with a plus sign (+) and a negative test with a negative sign (-).  A morning test result will appear in the lower left portion of the box.  An afternoon or evening test result will appear in the upper right portion of the box.", 
			spanish: "<u>Test de Ovulacin:</u><br> Un resultado positivo se indica con el signo de(+) y el negativo con el signo(-).  El resultado de la maana aparece en la parte baja de la caja. El resultado de la tarde aparece en la parte alta de la caja.",
		};		
		tContentObj[tContentObj.length] = { fieldName: "transChtLegMisc", fieldType: FTYPE_TEXT,
			english: "Miscellaneous", 
			spanish: "Miscelneos",
		};	
		tContentObj[tContentObj.length] = { fieldName: "transChtLegAbnTemp", fieldType: FTYPE_TEXT,
			english: "<u>Abnormal Temperatures</u> <br>Temperatures marked as abnormal are circled in red.", 
			spanish: "<u>Temperaturas alteradas</u> <br>Temperaturas alteradas se marcan con un crculo rojo.",
		};
		tContentObj[tContentObj.length] = { fieldName: "transChtLegWeekday", fieldType: FTYPE_TEXT,
			english: "<u>Weekdays and Weekends</u> <br> The Day of Cycle column is color coded to indicate the day of the week. <img src='images/legend_ccl_weekdays.png' align='right' style='padding-left:10px;'> Saturdays and Sundays are black.  All weekdays are blue.", 
			spanish: "<u>Entre semana y fin de semana</u> <img src='images/legend_ccl_weekdays.png' align='right' style='padding-left:10px;'><br> En la fila del Dia del ciclo los sbados y domingos se marcan en negro y los das de la semana en azul.",
		};
		tContentObj[tContentObj.length] = { fieldName: "transChtFirstDay", fieldType: FTYPE_TEXT,
			english: "First date displayed on chart:", 
			spanish: "Primer da en la grfica:",
		};
		tContentObj[tContentObj.length] = { fieldName: "transChtDirTips", fieldType: FTYPE_TEXT,
			english: "<ul><li>Use arrow buttons up top to select next/prev cycle</li><li>Tap 'Chart' on lower menu to select a specific cycle</li></ul>", 
			spanish: "<ul><li>Utilice las teclas de flechas al tope de la pantalla para ir al previo/prximo ciclo</li><li>Seleccione el botn 'Grfica' al pie de la pantalla si desea ir a un ciclo en especfico.",
		};
		tContentObj[tContentObj.length] = { fieldName: "chtlegcclpeak", fieldType: FTYPE_IMG,
			english: "images/legend_ccl_peakday.png", 
			spanish: "images/legend_ccl_peakday_esp.png",
		};
		tContentObj[tContentObj.length] = { fieldName: "chtlegcervix", fieldType: FTYPE_IMG,
			english: "images/legend_ccl_cervix.png", 
			spanish: "images/null.png",
		};
		break;
	case "analysis_graph":
		break;
	case "analysis_cstats":
		break;
	case "analysis_ovdates":
		break;
	case "analysis_picker":
		tContentObj[tContentObj.length] = { fieldName: "analysis_picker_htxt", fieldType: FTYPE_TEXT,
			english: "Please Select a Cycle", 
			spanish: "Favor escoger un ciclo", 
		};
		break;
	case "analysis_winconf":
		break;
	case "analysis_ccl_cychist":
		tContentObj[tContentObj.length] = { fieldName: "SelCyc_analysis_ccl_cychist", fieldType: FTYPE_TEXT,
			english: "Cycle Date", 
			spanish: "Da del ciclo",
		};	
		tContentObj[tContentObj.length] = { fieldName: "transCycHist", fieldType: FTYPE_TEXT,
			english: "Cycle History", 
			spanish: "Historial de ciclos",
		};
		tContentObj[tContentObj.length] = { fieldName: "CCLHistDetails_Off", fieldType: FTYPE_TEXT,
			english: "Analysis of this cycle is disabled. It was created by the startup wizard and is pre-loaded with analyzed parameters. These manually specified values are factored into the analysis of future cycles. To abandon these manual values and allow analysis of this cycle using whatever data is recorded, you must view the cycle on the CycleProGo.com website and enable analysis. Typically you only want to do this after you go back and enter all recorded symptoms for this cycle.<br><br>", 
			spanish: "El anlisis de este ciclo est desactivado. Estos valores y anlisis fueron creados por el sistema y se usan en interpretaciones futuras.",
		};
		tContentObj[tContentObj.length] = { fieldName: "transCycHistPrevVar", fieldType: FTYPE_TEXT,
			english: "<b>Previous cycle variation:</b>", 
			spanish: "Variacin de ciclos anteriores:</b>",
		};
		tContentObj[tContentObj.length] = { fieldName: "transCycHisShort", fieldType: FTYPE_TEXT,
			english: "Short", 
			spanish: "Corto",
		};
		tContentObj[tContentObj.length] = { fieldName: "transCycHisDays1", fieldType: FTYPE_TEXT,
			english: "days", 
			spanish: "das",
		};
		tContentObj[tContentObj.length] = { fieldName: "transCycHisLong", fieldType: FTYPE_TEXT,
			english: "Long", 
			spanish: "Largo",
		};	
		tContentObj[tContentObj.length] = { fieldName: "transCycHisDays2", fieldType: FTYPE_TEXT,
			english: "days", 
			spanish: "das",
		};
		tContentObj[tContentObj.length] = { fieldName: "transCycHisCycVar", fieldType: FTYPE_TEXT,
			english: "Cycle variation based on", 
			spanish: "Variacin de ciclos basada en",
		};
		tContentObj[tContentObj.length] = { fieldName: "transCycHisCycles1", fieldType: FTYPE_TEXT,
			english: "recorded cycles", 
			spanish: "ciclos anotados",
		};	
		tContentObj[tContentObj.length] = { fieldName: "transCycHisEarly", fieldType: FTYPE_TEXT,
			english: "Earliest first day of temperature rise: Day", 
			spanish: "@Earliest first day of temperature rise: Day@",
		};	
		tContentObj[tContentObj.length] = { fieldName: "transCycHisBasedOn", fieldType: FTYPE_TEXT,
			english: "based on last", 
			spanish: "@based on last@",
		};
		tContentObj[tContentObj.length] = { fieldName: "transCycHisCycles2", fieldType: FTYPE_TEXT,
			english: "cycles (up to 12)", 
			spanish: "@cycles (up to 12)@",
		};
		tContentObj[tContentObj.length] = { fieldName: "transCycHisEndPh1", fieldType: FTYPE_TEXT,
			english: "<b>End of Phase 1</b>", 
			spanish: "<b>Fin de la Fase I</b>",
		};	
		tContentObj[tContentObj.length] = { fieldName: "transCycHisDay56", fieldType: FTYPE_TEXT,
			english: "Day 5/6 Rule", 
			spanish: "Da 5",
		};
		tContentObj[tContentObj.length] = { fieldName: "transCycHisDoering", fieldType: FTYPE_TEXT,
			english: "Doering Rule", 
			spanish: "@Doering Rule@",
		};
		tContentObj[tContentObj.length] = { fieldName: "transCycHisCycLog", fieldType: FTYPE_TEXT,
			english: "<b>Recorded Cycle Log:</b>", 
			spanish: "<b>Registro de ciclos anotados:</b>",
		};	
		tContentObj[tContentObj.length] = { fieldName: "transCycHisTotNum", fieldType: FTYPE_TEXT,
			english: "Total Number of Cycles", 
			spanish: "Nmero total de ciclos",
		};	
		tContentObj[tContentObj.length] = { fieldName: "transCycHisDirTips", fieldType: FTYPE_TEXT,
			english: "<ul><li>Use arrow buttons up top to select next/prev cycle</li><li>Tap 'Chart' on lower menu to select a specific cycle</li></ul>", 
			spanish: "<ul><li>Utilice las teclas de flechas al tope de la pantalla para ir al previo/prximo ciclo</li><li>Seleccione el botn 'Grfica' al pie de la pantalla si desea ir a un ciclo en especfico</li></ul>",
		};	
		break;
	case "analysis_ccl_selection":
		tContentObj[tContentObj.length] = { fieldName: "SelCyc_analysis_ccl_selection", fieldType: FTYPE_TEXT,
			english: "Cycle Date", 
			spanish: "Da del ciclo",
		};
		tContentObj[tContentObj.length] = { fieldName: "transSelPhaseDates", fieldType: FTYPE_TEXT,
			english: "Select Phase Dates", 
			spanish: "Seleccione la fecha de la fase",
		};
		tContentObj[tContentObj.length] = { fieldName: "CCLAnalysisSelDetails_Off", fieldType: FTYPE_TEXT,
			english: "Analysis of this cycle is disabled. It was created by the startup wizard and is pre-loaded with analyzed parameters. These manually specified values are factored into the analysis of future cycles. To abandon these manual values and allow analysis of this cycle using whatever data is recorded, you must view the cycle on the CycleProGo.com website and enable analysis. Typically you only want to do this after you go back and enter all recorded symptoms for this cycle.<br><br>", 
			spanish: "@Analysis of this cycle is disabled. It was created by the startup wizard and is pre-loaded with analyzed parameters. These manually specified values are factored into the analysis of future cycles. To abandon these manual values and allow analysis of this cycle using whatever data is recorded, you must view the cycle on the CycleProGo.com website and enable analysis. Typically you only want to do this after you go back and enter all recorded symptoms for this cycle.<br><br>@",
		};
		tContentObj[tContentObj.length] = { fieldName: "transCCLSelPh1", fieldType: FTYPE_TEXT,
			english: "Please select the Phase I rule", 
			spanish: "Fase I",
		};
		tContentObj[tContentObj.length] = { fieldName: "transCCLSelPh3", fieldType: FTYPE_TEXT,
			english: "Please select the Phase III rule", 
			spanish: "Fase III",
		};
		tContentObj[tContentObj.length] = { fieldName: "transCCLSelInstNts", fieldType: FTYPE_TEXT,
			english: "<b>Instructor Notes:</b>", 
			spanish: "<b>Notas del consultor:</b>",
		};
		tContentObj[tContentObj.length] = { fieldName: "transCCLSelUserNts", fieldType: FTYPE_TEXT,
			english: "<b>Your Cycle Notes:</b>", 
			spanish: "<b>Sus notas de ciclo:</b>",
		};
		tContentObj[tContentObj.length] = { fieldName: "transCCLSelDirTips", fieldType: FTYPE_TEXT,
			english: "<ul><li>Use arrow buttons up top to select next/prev cycle</li><li>Tap 'Chart' on lower menu to select a specific cycle</li></ul>", 
			spanish: "<ul><li>Utilice las teclas de flechas al tope de la pantalla para ir al previo/prximo ciclo</li><li>Seleccione el botn 'Grfica' al pie de la pantalla si desea ir a un ciclo en especfico</li></ul>",
		};
		tContentObj[tContentObj.length] = { fieldName: "labPhase3Radio_TempOnly", fieldType: FTYPE_TEXT,
			english: "Use the Temperature-Only Rule: Phase III starts on the evening of cycle day", 
			spanish: "@Calculate a Phase III interpretation using only your temperature sign@",
		};		
		break;
	case "analysis_ccl_method":
		// CCL Method Screen	
		tContentObj[tContentObj.length] = { fieldName: "analysis_ccl_method_htxt", fieldType: FTYPE_TEXT,
			english: "CCL Method Rules", 
			spanish: "Normas de la LPP", 
		};
		break;	
	case "settings_events":
		break;
	case "settings_ccl_events":
		// CCL Events Screen	
		tContentObj[tContentObj.length] = { fieldName: "SetEv_Title", fieldType: FTYPE_TEXT,
			english: "Event Settings", 
			spanish: "Eventos - Controles", 
		};
		tContentObj[tContentObj.length] = { fieldName: "SetEv_Actions", fieldType: FTYPE_TEXT,
			english: "Actions", 
			spanish: "Acciones", 
		};
		tContentObj[tContentObj.length] = { fieldName: "SetEv_Emo", fieldType: FTYPE_TEXT,
			english: "Emotional", 
			spanish: "Emocional", 
		};
		tContentObj[tContentObj.length] = { fieldName: "SetEv_Phy", fieldType: FTYPE_TEXT,
			english: "Physical", 
			spanish: "Fsica", 
		};
		tContentObj[tContentObj.length] = { fieldName: "SetEv_Med", fieldType: FTYPE_TEXT,
			english: "Medical", 
			spanish: "Mdica", 
		};
		tContentObj[tContentObj.length] = { fieldName: "SetEv_Preg", fieldType: FTYPE_TEXT,
			english: "Pregnancy", 
			spanish: "Embarazo", 
		};
		tContentObj[tContentObj.length] = { fieldName: "SetEv_Cust", fieldType: FTYPE_TEXT,
			english: "Custom", 
			spanish: "Otro", 
		};
		tContentObj[tContentObj.length] = { fieldName: "CusEvNa1", fieldType: FTYPE_TEXT,
			english: "Name", 
			spanish: "Nombre", 
		};
		tContentObj[tContentObj.length] = { fieldName: "CusEvNa2", fieldType: FTYPE_TEXT,
			english: "Name", 
			spanish: "Nombre", 
		};
		tContentObj[tContentObj.length] = { fieldName: "CusEvNa3", fieldType: FTYPE_TEXT,
			english: "Name", 
			spanish: "Nombre", 
		};
		tContentObj[tContentObj.length] = { fieldName: "CusEvNa4", fieldType: FTYPE_TEXT,
			english: "Name", 
			spanish: "Nombre", 
		};
		tContentObj[tContentObj.length] = { fieldName: "CusEvNa5", fieldType: FTYPE_TEXT,
			english: "Name", 
			spanish: "Nombre", 
		};
		tContentObj[tContentObj.length] = { fieldName: "CusEvNa6", fieldType: FTYPE_TEXT,
			english: "Name", 
			spanish: "Nombre", 
		};
		tContentObj[tContentObj.length] = { fieldName: "CusEvNa7", fieldType: FTYPE_TEXT,
			english: "Name", 
			spanish: "Nombre", 
		};
		tContentObj[tContentObj.length] = { fieldName: "CusEvNa8", fieldType: FTYPE_TEXT,
			english: "Name", 
			spanish: "Nombre", 
		};
		tContentObj[tContentObj.length] = { fieldName: "CusEvNa9", fieldType: FTYPE_TEXT,
			english: "Name", 
			spanish: "Nombre", 
		};
		tContentObj[tContentObj.length] = { fieldName: "CusEvNa10", fieldType: FTYPE_TEXT,
			english: "Name", 
			spanish: "Nombre", 
		};
		tContentObj[tContentObj.length] = { fieldName: "CusEvNa11", fieldType: FTYPE_TEXT,
			english: "Name", 
			spanish: "Nombre", 
		};
		tContentObj[tContentObj.length] = { fieldName: "CusEvNa12", fieldType: FTYPE_TEXT,
			english: "Name", 
			spanish: "Nombre", 
		};
		tContentObj[tContentObj.length] = { fieldName: "CusEvNa13", fieldType: FTYPE_TEXT,
			english: "Name", 
			spanish: "Nombre", 
		};
		tContentObj[tContentObj.length] = { fieldName: "CusEvNa14", fieldType: FTYPE_TEXT,
			english: "Name", 
			spanish: "Nombre", 
		};
		tContentObj[tContentObj.length] = { fieldName: "CusEvNa15", fieldType: FTYPE_TEXT,
			english: "Name", 
			spanish: "Nombre", 
		};
		tContentObj[tContentObj.length] = { fieldName: "CusEvNa16", fieldType: FTYPE_TEXT,
			english: "Name", 
			spanish: "Nombre", 
		};
		tContentObj[tContentObj.length] = { fieldName: "CusEvNa17", fieldType: FTYPE_TEXT,
			english: "Name", 
			spanish: "Nombre", 
		};
		tContentObj[tContentObj.length] = { fieldName: "CusEvNa18", fieldType: FTYPE_TEXT,
			english: "Name", 
			spanish: "Nombre", 
		};
		tContentObj[tContentObj.length] = { fieldName: "CusEvNa19", fieldType: FTYPE_TEXT,
			english: "Name", 
			spanish: "Nombre", 
		};
		tContentObj[tContentObj.length] = { fieldName: "CusEvNa20", fieldType: FTYPE_TEXT,
			english: "Name", 
			spanish: "Nombre", 
		};
		tContentObj[tContentObj.length] = { fieldName: "SetEv_Instr", fieldType: FTYPE_TEXT,
			english: "There are many predefined events.  Check boxes for those <u>you want visible</u> for daily recording. You can also create custom events and name them what you want.", 
			spanish: "Hay distintos eventos para selecionar. Marque las cajas <u>que quiera ver</u> diariamente. Puede crear sus propios eventos.", 
		};
		tContentObj[tContentObj.length] = { fieldName: "evShowCustomTextEvLabel_1", fieldType: FTYPE_TEXT,
			english: "Custom 1", 
			spanish: "Evento 1", 
		};
		tContentObj[tContentObj.length] = { fieldName: "evShowCustomTextEvLabel_2", fieldType: FTYPE_TEXT,
			english: "Custom 2", 
			spanish: "Evento 2", 
		};
		tContentObj[tContentObj.length] = { fieldName: "evShowCustomTextEvLabel_3", fieldType: FTYPE_TEXT,
			english: "Custom 3", 
			spanish: "Evento 3", 
		};
		tContentObj[tContentObj.length] = { fieldName: "evShowCustomTextEvLabel_4", fieldType: FTYPE_TEXT,
			english: "Custom 4", 
			spanish: "Evento 4", 
		};
		tContentObj[tContentObj.length] = { fieldName: "evShowCustomTextEvLabel_5", fieldType: FTYPE_TEXT,
			english: "Custom 5", 
			spanish: "Evento 5", 
		};
		tContentObj[tContentObj.length] = { fieldName: "evShowCustomTextEvLabel_6", fieldType: FTYPE_TEXT,
			english: "Custom 6", 
			spanish: "Evento 6", 
		};
		tContentObj[tContentObj.length] = { fieldName: "evShowCustomTextEvLabel_7", fieldType: FTYPE_TEXT,
			english: "Custom 7", 
			spanish: "Evento 7", 
		};
		tContentObj[tContentObj.length] = { fieldName: "evShowCustomTextEvLabel_8", fieldType: FTYPE_TEXT,
			english: "Custom 8", 
			spanish: "Evento 8", 
		};
		tContentObj[tContentObj.length] = { fieldName: "evShowCustomTextEvLabel_9", fieldType: FTYPE_TEXT,
			english: "Custom 9", 
			spanish: "Evento 9", 
		};
		tContentObj[tContentObj.length] = { fieldName: "evShowCustomTextEvLabel_10", fieldType: FTYPE_TEXT,
			english: "Custom 10", 
			spanish: "Evento 10", 
		};
		tContentObj[tContentObj.length] = { fieldName: "evShowCustomTextEvLabel_11", fieldType: FTYPE_TEXT,
			english: "Custom 11", 
			spanish: "Evento 11", 
		};
		tContentObj[tContentObj.length] = { fieldName: "evShowCustomTextEvLabel_12", fieldType: FTYPE_TEXT,
			english: "Custom 12", 
			spanish: "Evento 12", 
		};
		tContentObj[tContentObj.length] = { fieldName: "evShowCustomTextEvLabel_13", fieldType: FTYPE_TEXT,
			english: "Custom 13", 
			spanish: "Evento 13", 
		};
		tContentObj[tContentObj.length] = { fieldName: "evShowCustomTextEvLabel_14", fieldType: FTYPE_TEXT,
			english: "Custom 14", 
			spanish: "Evento 14", 
		};
		tContentObj[tContentObj.length] = { fieldName: "evShowCustomTextEvLabel_15", fieldType: FTYPE_TEXT,
			english: "Custom 15", 
			spanish: "Evento 15", 
		};
		tContentObj[tContentObj.length] = { fieldName: "evShowCustomTextEvLabel_16", fieldType: FTYPE_TEXT,
			english: "Custom 16", 
			spanish: "Evento 16", 
		};
		tContentObj[tContentObj.length] = { fieldName: "evShowCustomTextEvLabel_17", fieldType: FTYPE_TEXT,
			english: "Custom 17", 
			spanish: "Evento 17", 
		};
		tContentObj[tContentObj.length] = { fieldName: "evShowCustomTextEvLabel_18", fieldType: FTYPE_TEXT,
			english: "Custom 18", 
			spanish: "Evento 18", 
		};
		tContentObj[tContentObj.length] = { fieldName: "evShowCustomTextEvLabel_19", fieldType: FTYPE_TEXT,
			english: "Custom 19", 
			spanish: "Evento 19", 
		};
		tContentObj[tContentObj.length] = { fieldName: "evShowCustomTextEvLabel_20", fieldType: FTYPE_TEXT,
			english: "Custom 20", 
			spanish: "Evento 20", 
		};
		
		// Do NOT translate section below:
		document.getElementById('setEvCh31').innerHTML = trans_dyn_content("Alcohol Consumption");
		document.getElementById('setEvCh32').innerHTML = trans_dyn_content("Breast Self Exam");
		document.getElementById('setEvCh33').innerHTML = trans_dyn_content("Exercise");
		document.getElementById('setEvCh36').innerHTML = trans_dyn_content("Insomnia");
		document.getElementById('setEvCh43').innerHTML = trans_dyn_content("Restless Night");
		document.getElementById('setEvCh44').innerHTML = trans_dyn_content("Traveling");
		document.getElementById('setEvCh0').innerHTML = trans_dyn_content("Anxiety");
		document.getElementById('setEvCh1').innerHTML = trans_dyn_content("Depression");
		document.getElementById('setEvCh3').innerHTML = trans_dyn_content("Energetic");
		document.getElementById('setEvCh2').innerHTML = trans_dyn_content("Happiness");
		document.getElementById('setEvCh5').innerHTML = trans_dyn_content("Irritable");
		document.getElementById('setEvCh7').innerHTML = trans_dyn_content("Mood Swings");
		document.getElementById('setEvCh6').innerHTML = trans_dyn_content("Sadness");
		document.getElementById('setEvCh4').innerHTML = trans_dyn_content("Stress");
		document.getElementById('setEvCh8').innerHTML = trans_dyn_content("Acne");
		document.getElementById('setEvCh9').innerHTML = trans_dyn_content("Backache");
		document.getElementById('setEvCh10').innerHTML = trans_dyn_content("Bloating");
		document.getElementById('setEvCh11').innerHTML = trans_dyn_content("Breast Tenderness");
		document.getElementById('setEvCh12').innerHTML = trans_dyn_content("Constipation");
		document.getElementById('setEvCh13').innerHTML = trans_dyn_content("Cramping");
		document.getElementById('setEvCh14').innerHTML = trans_dyn_content("Decreased Appetite");
		document.getElementById('setEvCh15').innerHTML = trans_dyn_content("Decreased Libido");
		document.getElementById('setEvCh16').innerHTML = trans_dyn_content("Diarrhea");
		document.getElementById('setEvCh17').innerHTML = trans_dyn_content("Dizziness");
		document.getElementById('setEvCh18').innerHTML = trans_dyn_content("Fatigue");
		document.getElementById('setEvCh19').innerHTML = trans_dyn_content("Fever");
		document.getElementById('setEvCh20').innerHTML = trans_dyn_content("Frequent Urination");
		document.getElementById('setEvCh21').innerHTML = trans_dyn_content("Gassy");
		document.getElementById('setEvCh22').innerHTML = trans_dyn_content("Headache");
		document.getElementById('setEvCh23').innerHTML = trans_dyn_content("Heartburn");
		document.getElementById('setEvCh24').innerHTML = trans_dyn_content("Increased Appetite");
		document.getElementById('setEvCh25').innerHTML = trans_dyn_content("Increased Libido");
		document.getElementById('setEvCh26').innerHTML = trans_dyn_content("Migraine");
		document.getElementById('setEvCh27').innerHTML = trans_dyn_content("Nausea");
		document.getElementById('setEvCh28').innerHTML = trans_dyn_content("Ovulation Pain");
		document.getElementById('setEvCh29').innerHTML = trans_dyn_content("PMS");
		document.getElementById('setEvCh34').innerHTML = trans_dyn_content("Illness");
		document.getElementById('setEvCh45').innerHTML = trans_dyn_content("Yeast Infection");
		document.getElementById('setEvCh37').innerHTML = trans_dyn_content("Expectorant");
		document.getElementById('setEvCh41').innerHTML = trans_dyn_content("Steroids (oral)");
		document.getElementById('setEvCh47').innerHTML = trans_dyn_content("Estrogen");
		document.getElementById('setEvCh49').innerHTML = trans_dyn_content("Thyroid medication");
		document.getElementById('setEvCh50').innerHTML = trans_dyn_content("Antidepressant");
		document.getElementById('setEvCh53').innerHTML = trans_dyn_content("Progesterone");
		document.getElementById('setEvCh52').innerHTML = trans_dyn_content("Antihistamine");
		document.getElementById('setEvCh48').innerHTML = trans_dyn_content("Antibiotic");
		document.getElementById('setEvCh54').innerHTML = trans_dyn_content("Vitamins");
		document.getElementById('setEvCh57').innerHTML = trans_dyn_content("Braxton Hicks Contractions");
		document.getElementById('setEvCh58').innerHTML = trans_dyn_content("Cravings");
		document.getElementById('setEvCh59').innerHTML = trans_dyn_content("Dry Eyes");
		document.getElementById('setEvCh60').innerHTML = trans_dyn_content("Enlarged Breasts");
		document.getElementById('setEvCh62').innerHTML = trans_dyn_content("Pregnancy Test Positive");
		document.getElementById('setEvCh112').innerHTML = trans_dyn_content("Pregnancy Test Negative");
		document.getElementById('setEvCh63').innerHTML = trans_dyn_content("Fetal Movement");
		document.getElementById('setEvCh64').innerHTML = trans_dyn_content("Fluid Retention");
		document.getElementById('setEvCh65').innerHTML = trans_dyn_content("Food Aversions");
		document.getElementById('setEvCh66').innerHTML = trans_dyn_content("Hemorrhoids");
		document.getElementById('setEvCh74').innerHTML = trans_dyn_content("Morning Sickness");
		document.getElementById('setEvCh80').innerHTML = trans_dyn_content("Skin Changes");
		document.getElementById('setEvCh83').innerHTML = trans_dyn_content("Sore perineum");
		document.getElementById('setEvCh87').innerHTML = trans_dyn_content("Swelling (Edema)");
		document.getElementById('setEvCh90').innerHTML = trans_dyn_content("Varicose Veins");
		document.getElementById('setEvCh91').innerHTML = trans_dyn_content("Weepiness");
		break;
	case "settings_app":
		// App Settings Screen	
		tContentObj[tContentObj.length] = { fieldName: "SetApp_Title", fieldType: FTYPE_TEXT,
			english: "App Settings", 
			spanish: "Controles", 
		};
		tContentObj[tContentObj.length] = { fieldName: "SetApp_User", fieldType: FTYPE_TEXT,
			english: "Your Username:", 
			spanish: "Nombre de usuario:", 
		};
		tContentObj[tContentObj.length] = { fieldName: "SetApp_ChPw", fieldType: FTYPE_TEXT,
			english: "Change Your Password:", 
			spanish: "Cambiar contrasea:", 
		};
		tContentObj[tContentObj.length] = { fieldName: "SetApp_ChPwHelp1", fieldType: FTYPE_TEXT,
			english: "If you already changed your password at", 
			spanish: "Si ha cambiado su contrasea en@", 
		};
		tContentObj[tContentObj.length] = { fieldName: "SetApp_ChPwHelp2", fieldType: FTYPE_TEXT,
			english: "and just want to enter the new password in your app, just enter the same new password in all three boxes to update it here in the app.", 
			spanish: "y solamente quiere entrar una nueva contrasea en su app, entre su nueva contrasea en los tres espacios para actualizarla en la aplicacin.", 
		};
		tContentObj[tContentObj.length] = { fieldName: "SetApp_CurPw", fieldType: FTYPE_TEXT,
			english: "Current Password", 
			spanish: "Contrasea actual", 
		};
		tContentObj[tContentObj.length] = { fieldName: "SetApp_NewPw", fieldType: FTYPE_TEXT,
			english: "New Password", 
			spanish: "Nueva Contrasea", 
		};
		tContentObj[tContentObj.length] = { fieldName: "SetApp_ConfPw", fieldType: FTYPE_TEXT,
			english: "Confirm Password", 
			spanish: "Confirmar Contrasea@", 
		};
		tContentObj[tContentObj.length] = { fieldName: "SetApp_Prompt", fieldType: FTYPE_TEXT,
			english: "Always prompt for login", 
			spanish: "Siempre requiera login", 
		};
		tContentObj[tContentObj.length] = { fieldName: "SetApp_TUn", fieldType: FTYPE_TEXT,
			english: "Temperature Units", 
			spanish: "Unidades de Temperatura", 
		};
		tContentObj[tContentObj.length] = { fieldName: "SetApp_TUnF", fieldType: FTYPE_TEXT,
			english: "Fahrenheit", 
			spanish: "Fahrenheit", 
		};
		tContentObj[tContentObj.length] = { fieldName: "SetApp_TUnC", fieldType: FTYPE_TEXT,
			english: "Celsius", 
			spanish: "Centgrados", 
		};
		tContentObj[tContentObj.length] = { fieldName: "SetApp_ShStrt", fieldType: FTYPE_TEXT,
			english: "Show Startup Tips", 
			spanish: "Incluya Ayudas Diarias", 
		};
		tContentObj[tContentObj.length] = { fieldName: "SetApp_DrkBkgnd", fieldType: FTYPE_TEXT,
			english: "Background Color", 
			spanish: "Color de fondo", 
		};
		tContentObj[tContentObj.length] = { fieldName: "appSettings_DarkBkgnd", fieldType: SELOPTION_TEXT, index: 0,
			english: "Always Light (default)", 
			spanish: "Siempre claro",
		};
		tContentObj[tContentObj.length] = { fieldName: "appSettings_DarkBkgnd", fieldType: SELOPTION_TEXT, index: 1,
			english: "Always Dark", 
			spanish: "Siempre oscuro",
		};
		tContentObj[tContentObj.length] = { fieldName: "appSettings_DarkBkgnd", fieldType: SELOPTION_TEXT, index: 2,
			english: "Dynamic (dark at night)", 
			spanish: "Dinmico (oscuro por la noche)",
		};
		tContentObj[tContentObj.length] = { fieldName: "SetApp_SRemRq", fieldType: FTYPE_TEXT,
			english: "Remote Requery Rate", 
			spanish: "Resincronizar remoto", 
		};
		tContentObj[tContentObj.length] = { fieldName: "SetApp_SRemRq1", fieldType: FTYPE_TEXT,
			english: "1 min", 
			spanish: "1 min", 
		};
		tContentObj[tContentObj.length] = { fieldName: "SetApp_SRemRq3", fieldType: FTYPE_TEXT,
			english: "3 mins", 
			spanish: "3 mins", 
		};
		tContentObj[tContentObj.length] = { fieldName: "SetApp_SRemRq5", fieldType: FTYPE_TEXT,
			english: "5 mins", 
			spanish: "5 mins", 
		};
		tContentObj[tContentObj.length] = { fieldName: "SetApp_SRemRq10", fieldType: FTYPE_TEXT,
			english: "10 mins", 
			spanish: "10 mins", 
		};
		tContentObj[tContentObj.length] = { fieldName: "SetApp_CrInst", fieldType: FTYPE_TEXT,
			english: "Special Classroom Instruction:", 
			spanish: "Instrucciones Clase Especial:", 
		};
		tContentObj[tContentObj.length] = { fieldName: "SetApp_CrInstDet", fieldType: FTYPE_TEXT,
			english: "If you are taking a class, your instructor may ask you to enter a special code to help quickly configure the app. Unless you have been specifically instructed to do this, you should not use this feature.", 
			spanish: "Si est tomado una clase, es posible que su instructor le de un cdigo especial para cambiar la configuracin de su aplicacin", 
		};
		tContentObj[tContentObj.length] = { fieldName: "SetApp_CrAct", fieldType: FTYPE_TEXT,
			english: "Classroom Action", 
			spanish: "Procedimiento de la Clase", 
		};
		tContentObj[tContentObj.length] = { fieldName: "ApplyClassAct", fieldType: FTYPE_BUTTON,
			english: "Apply Class Code", 
			spanish: "Entre Cdigo de su Clase", 
		};
		tContentObj[tContentObj.length] = { fieldName: "ChangeUsernameButton", fieldType: FTYPE_BUTTON,
			english: "Change Account", 
			spanish: "Cambiar cuenta", 
		};
		tContentObj[tContentObj.length] = { fieldName: "appSettings_CurrPwTextbox", fieldType: FTYPE_PLACEHOLDER,
			english: "Current Password", 
			spanish: "Contrasea Actual", 
		};	
		tContentObj[tContentObj.length] = { fieldName: "appSettings_NewPwTextbox", fieldType: FTYPE_PLACEHOLDER,
			english: "New Password", 
			spanish: "Nueva Contrasea", 
		};
		tContentObj[tContentObj.length] = { fieldName: "appSettings_ConfirmPwTextbox", fieldType: FTYPE_PLACEHOLDER,
			english: "Confirm Password", 
			spanish: "Confirmar Contrasea", 
		};
		tContentObj[tContentObj.length] = { fieldName: "appSettings_ClassAct", fieldType: FTYPE_PLACEHOLDER,
			english: "Class Code", 
			spanish: "Cdigo de Clase", 
		};
		break;
	case "settings_notify":
		// Notification Settings   
		tContentObj[tContentObj.length] = { fieldName: "setPshTit", fieldType: FTYPE_TEXT,
			english: "Push Notification Preferences", 
			spanish: "Activar Notificacin deseada", 
		};
		tContentObj[tContentObj.length] = { fieldName: "SetNot_NotHist", fieldType: FTYPE_TEXT,
			english: "Charting Notification History", 
			spanish: "Historial de Notificaciones", 
		};
		tContentObj[tContentObj.length] = { fieldName: "SetNot_Role", fieldType: FTYPE_TEXT,
			english: "What is your role?", 
			spanish: "Cul es su rol?", 
		};
		tContentObj[tContentObj.length] = { fieldName: "SetNot_RoleTr", fieldType: FTYPE_TEXT,
			english: "Tracking my fertility", 
			spanish: "Estoy registrando mi fertilidad", 
		};
		tContentObj[tContentObj.length] = { fieldName: "SetNot_RolePart", fieldType: FTYPE_TEXT,
			english: "My partner is", 
			spanish: "Mi pareja est registrando su fertilidad", 
		};
		tContentObj[tContentObj.length] = { fieldName: "SetNot_Send", fieldType: FTYPE_TEXT,
			english: "Send this device a push notification...", 
			spanish: "Enve una notificacin a este movil...", 
		};
		tContentObj[tContentObj.length] = { fieldName: "SetNot_DailRem", fieldType: FTYPE_TEXT,
			english: "as a daily reminder to record symptoms", 
			spanish: "como un recordatorio diario para que registre sus observaciones", 
		};
		tContentObj[tContentObj.length] = { fieldName: "SetNot_RTime", fieldType: FTYPE_TEXT,
			english: "Time to send reminder", 
			spanish: "Hora para enviar recordatorio", 
		};
		tContentObj[tContentObj.length] = { fieldName: "SetNot_Forg", fieldType: FTYPE_TEXT,
			english: "if I forget to record daily symptoms by a certain time", 
			spanish: "si a cierta hora no he registrado las observaciones", 
		};
		tContentObj[tContentObj.length] = { fieldName: "SetNot_FTime", fieldType: FTYPE_TEXT,
			english: "Time to check and send reminder if needed", 
			spanish: "Hora de revisar y enviar recordatorio de ser necesario", 
		};
		tContentObj[tContentObj.length] = { fieldName: "SetNot_NewCyc", fieldType: FTYPE_TEXT,
			english: "when a new cycle starts", 
			spanish: "cuando comienza un nuevo ciclo", 
		};
		tContentObj[tContentObj.length] = { fieldName: "SetNot_Ph23", fieldType: FTYPE_TEXT,
			english: "when transitioning to Phase II or Phase III", 
			spanish: "durante el cambio a Fase II o a Fase III", 
		};
		tContentObj[tContentObj.length] = { fieldName: "SetNot_Ov", fieldType: FTYPE_TEXT,
			english: "when ovulation estimates change", 
			spanish: "cuando cambia el estimado de la ovulacin", 
		};
		tContentObj[tContentObj.length] = { fieldName: "SetNot_HiFert", fieldType: FTYPE_TEXT,
			english: "when fertility is highest (for trying to conceive)", 
			spanish: "cuando la fertilidad esta ms alta (si estoy tratando de concebir)", 
		};
		tContentObj[tContentObj.length] = { fieldName: "SetNot_FertMsg", fieldType: FTYPE_TEXT,
			english: "Message to send when fertility is highest", 
			spanish: "Mensaje enviado cuando la fertilidad est ms alta", 
		};
		tContentObj[tContentObj.length] = { fieldName: "SetNot_PM", fieldType: FTYPE_TEXT,
			english: "when I receive a private message", 
			spanish: "cuando reciba un mensaje privado", 
		};
		tContentObj[tContentObj.length] = { fieldName: "SetNot_Resp", fieldType: FTYPE_TEXT,
			english: "when someone responds to a message I posted", 
			spanish: "cuando alguien responda a mis mensajes", 
		};
		tContentObj[tContentObj.length] = { fieldName: "SetNot_Reply", fieldType: FTYPE_TEXT,
			english: "when someone responds to a topic I replied to", 
			spanish: "cuando alguien responda a un tema que yo coment", 
		};
		tContentObj[tContentObj.length] = { fieldName: "SetNot_StSup", fieldType: FTYPE_TEXT,
			english: "Supporting my Students", 
			spanish: "Consulta con mis estudiantes", 
		};
		tContentObj[tContentObj.length] = { fieldName: "SetNot_WatSt", fieldType: FTYPE_TEXT,
			english: "Automatically watch new students for phase changes", 
			spanish: "Observar cambios de fase en los estudiantes nuevos", 
		};
		tContentObj[tContentObj.length] = { fieldName: "SetNot_InstOnly", fieldType: FTYPE_TEXT,
			english: "This is an instructor only setting.  It will automatically enables push notifications for phase changes of new students.  It is turned on only when a new student first links to your account.  To manage the list of who you are currently watching, select Connect and View Shared Charts.", 
			spanish: "Para instructores solamente. Envo de mensajes automticos cuando cambia la fase en estudiantes nuevos. Disponible cuando los estudiantes conectan su cuenta por primera vez. Para ver su lista de seguimiento vaya a Conectar y luego Ver Grficas compartidas.", 
		};
		tContentObj[tContentObj.length] = { fieldName: "appSettings_PushAlarmTime", fieldType: FTYPE_PLACEHOLDER,
			english: "Reminder time (e.g. 7:45)", 
			spanish: "Hora de recordatorio (ej.7:45)", 
		};
		tContentObj[tContentObj.length] = { fieldName: "appSettings_PushForgetTime", fieldType: FTYPE_PLACEHOLDER,
			english: "Time to Check (e.g. 7:45)", 
			spanish: "Hora de observar (ej. 7:45)", 
		};
		tContentObj[tContentObj.length] = { fieldName: "appSettings_PushTTCMsg", fieldType: FTYPE_PLACEHOLDER,
			english: "Odds of conception appear high today!", 
			spanish: "Posibilidad de concebir es alta", 
		};
		break;
	case "settings_about":
		tContentObj[tContentObj.length] = { fieldName: "setAb_Tit", fieldType: FTYPE_TEXT,
			english: "About this App", 
			spanish: "Sobre esta Aplicacin",
		};
		tContentObj[tContentObj.length] = { fieldName: "setAb_Ver", fieldType: FTYPE_TEXT,
			english: "Version", 
			spanish: "Versin",
		};
		tContentObj[tContentObj.length] = { fieldName: "setAb_Copy", fieldType: FTYPE_TEXT,
			english: "Copyright", 
			spanish: "Derechos de autor",
		};
		tContentObj[tContentObj.length] = { fieldName: "setAb_Diag", fieldType: FTYPE_TEXT,
			english: "Application Diagnostics", 
			spanish: "Diagnstico",
		};
		tContentObj[tContentObj.length] = { fieldName: "setAb_Res", fieldType: FTYPE_TEXT,
			english: "Resolution", 
			spanish: "Resolucin",
		};
		tContentObj[tContentObj.length] = { fieldName: "setAb_Sca", fieldType: FTYPE_TEXT,
			english: "Scale", 
			spanish: "Escala",
		};
		tContentObj[tContentObj.length] = { fieldName: "setAb_Email", fieldType: FTYPE_TEXT,
			english: "Problems or questions?  Please don't just leave a bad review!  Instead let us help by emailing us at", 
			spanish: "Problemas o preguntas?  Djenos ayudarle en lugar de dejar comentarios negativos!",
		};
		break;
	case "settings_preg":
		tContentObj[tContentObj.length] = { fieldName: "setPreg_title", fieldType: FTYPE_TEXT,
			english: "Manage and Edit Pregnancies", 
			spanish: "Manejo y ajustes Embarazo",
		};
		tContentObj[tContentObj.length] = { fieldName: "setPreg_Add", fieldType: FTYPE_TEXT,
			english: "Add Pregnancy", 
			spanish: "Aadir Embarazo",
		};
		tContentObj[tContentObj.length] = { fieldName: "setPreg_AddMeth", fieldType: FTYPE_TEXT,
			english: "Each method requires different information to initially estimate the due date", 
			spanish: "Cada mtodo requiere distinta informacin para calcular la fecha del parto",
		};
		tContentObj[tContentObj.length] = { fieldName: "setPreg_Prem", fieldType: FTYPE_TEXT,
			english: "<b>Prem Rule</b> - Enter the first day of your most recent <b>temperature shift</b>.", 
			spanish: "<b>Norma Prem</b> - Entre el primer da ms reciente de su <b>subida de temperatura</b>.",
		};
		tContentObj[tContentObj.length] = { fieldName: "setPreg_Naeg", fieldType: FTYPE_TEXT,
			english: "<b>Naegele Rule</b> - Enter your most recent <b>menstrual period</b>.", 
			spanish: "<b>Norma Naegele</b> - Entre la fecha de su <b>menstruacin</b> ms reciente.",
		};
		tContentObj[tContentObj.length] = { fieldName: "setPreg_Ov", fieldType: FTYPE_TEXT,
			english: "<b>Ovulation</b> - Enter the believed day of <b>ovulation</b>.", 
			spanish: "<b>Ovulacin</b> - Entre el da en que usted piensa que tuvo su <b>ovulacin</b>.",
		};
		tContentObj[tContentObj.length] = { fieldName: "setPreg_Man", fieldType: FTYPE_TEXT,
			english: "<b>Manual</b> - Manually enter the pregnancy's <b>first and last dates</b>.", 
			spanish: "<b>Manual</b> - Entre la fecha del <b>comienzo y el final</b> de su embarazo.",
		};
		tContentObj[tContentObj.length] = { fieldName: "setPreg_DDate", fieldType: FTYPE_TEXT,
			english: "Due Date Method", 
			spanish: "Mtodo para fecha de parto",
		};
		tContentObj[tContentObj.length] = { fieldName: "setPreg_POpt", fieldType: FTYPE_TEXT,
			english: "Prem", 
			spanish: "Prem",
		};
		tContentObj[tContentObj.length] = { fieldName: "setPreg_NOpt", fieldType: FTYPE_TEXT,
			english: "Naegele", 
			spanish: "Naegele",
		};
		tContentObj[tContentObj.length] = { fieldName: "setPreg_OOpt", fieldType: FTYPE_TEXT,
			english: "Ovulation", 
			spanish: "Ovulacin",
		};
		tContentObj[tContentObj.length] = { fieldName: "setPreg_MOpt", fieldType: FTYPE_TEXT,
			english: "Manual", 
			spanish: "Manual",
		};
		tContentObj[tContentObj.length] = { fieldName: "preStartTextLabel", fieldType: FTYPE_TEXT,
			english: "First day of temperature rise", 
			spanish: "Primer da de subida de temperatura",
		};
		tContentObj[tContentObj.length] = { fieldName: "setPreg_LDay", fieldType: FTYPE_TEXT,
			english: "Last Day of Pregnancy", 
			spanish: "Ultimo da del Embarazo",
		};
		tContentObj[tContentObj.length] = { fieldName: "PregCreateBtn", fieldType: FTYPE_BUTTON,
			english: "Create Pregnancy", 
			spanish: "Crear Embarazo",
		};
		tContentObj[tContentObj.length] = { fieldName: "setPreg_Ex", fieldType: FTYPE_TEXT,
			english: "Existing and Prior Pregnancies", 
			spanish: "Actual y previos Embarazos",
		};
		tContentObj[tContentObj.length] = { fieldName: "setPreg_SelPreg", fieldType: FTYPE_TEXT,
			english: "Select a Pregnancy to Edit:", 
			spanish: "Escoja un Embarazo para editar:",
		};
		tContentObj[tContentObj.length] = { fieldName: "setPreg_Chg1", fieldType: FTYPE_TEXT,
			english: "Change", 
			spanish: "Cambio",
		};
		tContentObj[tContentObj.length] = { fieldName: "setPreg_Chg2", fieldType: FTYPE_TEXT,
			english: "Pregnancy", 
			spanish: "Embarazo",
		};
		tContentObj[tContentObj.length] = { fieldName: "DeletePreg_Button", fieldType: FTYPE_BUTTON,
			english: "Delete Pregnancy", 
			spanish: "Borrar Embarazo",
		};
		tContentObj[tContentObj.length] = { fieldName: "setPreg_MkChg1", fieldType: FTYPE_TEXT,
			english: "Make changes and", 
			spanish: "Hacer cambios y",
		};
		tContentObj[tContentObj.length] = { fieldName: "setPreg_MkChg2", fieldType: FTYPE_TEXT,
			english: "below", 
			spanish: "abajo",
		};
		tContentObj[tContentObj.length] = { fieldName: "setPreg_PStrt", fieldType: FTYPE_TEXT,
			english: "Pregnancy Start Date", 
			spanish: "Fecha inicio Embarazo",
		};
		tContentObj[tContentObj.length] = { fieldName: "setPreg_PEnd", fieldType: FTYPE_TEXT,
			english: "Pregnancy End Date", 
			spanish: "Fecha final Embarazo",
		};
		tContentObj[tContentObj.length] = { fieldName: "setPreg_Outcome", fieldType: FTYPE_TEXT,
			english: "Outcome:", 
			spanish: "Resultado:",
		};
		tContentObj[tContentObj.length] = { fieldName: "Settings_PregOutcomeSelect", fieldType: SELOPTION_TEXT, index: 0,
			english: "Still Pregnant", 
			spanish: "Sigo Embarazada",
		};
		tContentObj[tContentObj.length] = { fieldName: "Settings_PregOutcomeSelect", fieldType: SELOPTION_TEXT, index: 1,
			english: "Miscarriage", 
			spanish: "Aborto Espontneo",
		};
		tContentObj[tContentObj.length] = { fieldName: "Settings_PregOutcomeSelect", fieldType: SELOPTION_TEXT, index: 2,
			english: "Gave Birth", 
			spanish: "Tuve beb",
		};
		tContentObj[tContentObj.length] = { fieldName: "UpdatePreg_Button", fieldType: FTYPE_BUTTON,
			english: "Update Pregnancy", 
			spanish: "Actualizar Embarazo",
		};
		tContentObj[tContentObj.length] = { fieldName: "setPreg_Hist", fieldType: FTYPE_TEXT,
			english: "PREGNANCY HISTORY", 
			spanish: "HISTORIAL EMBARAZOS",
		};
		break;
	case "settings_groups":
		tContentObj[tContentObj.length] = { fieldName: "sGrp_Title", fieldType: FTYPE_TEXT,
			english: "Manage Message Board Hashtags", 
			spanish: "Manejo de mensajes usando Hashtags",
		};
		tContentObj[tContentObj.length] = { fieldName: "sGrp_Desc", fieldType: FTYPE_TEXT,
			english: "Hashtags are filters that can be applied to group message posts (see Messages under the 'Connect' menu).", 
			spanish: "Hashtags son filtros que pueden usarse en mensajes a un grupo (va Mensajes en el botn de 'Conectar').",
		};
		tContentObj[tContentObj.length] = { fieldName: "sGrp_Add", fieldType: FTYPE_TEXT,
			english: "Add Contact", 
			spanish: "Aadir Contacto",
		};
		tContentObj[tContentObj.length] = { fieldName: "sGrp_AddUn", fieldType: FTYPE_TEXT,
			english: "Contact's Username", 
			spanish: "Nombre de usuario del Contacto",
		};
		tContentObj[tContentObj.length] = { fieldName: "sGrp_AddName", fieldType: FTYPE_TEXT,
			english: "Name to Display:", 
			spanish: "Nombre visible:",
		};
		tContentObj[tContentObj.length] = { fieldName: "sGrp_AddHelp", fieldType: FTYPE_TEXT,
			english: "<i>This optional name is for your personal reference to help remember who the username refers to.</i> Example: Jane Doe", 
			spanish: "<i>Este nombre opcional sirve para saber a quin se refiere el mensaje.</i> Ejemplo: Mara Rivera",
		};
		tContentObj[tContentObj.length] = { fieldName: "sGrp_ManCont", fieldType: FTYPE_TEXT,
			english: "Manage Individual Contacts", 
			spanish: "Manejo Contactos individuales",
		};
		tContentObj[tContentObj.length] = { fieldName: "sGrp_YCont", fieldType: FTYPE_TEXT,
			english: "Your Contacts", 
			spanish: "Sus Contactos",
		};
		tContentObj[tContentObj.length] = { fieldName: "sGrp_ECont", fieldType: FTYPE_TEXT,
			english: "Existing Contacts", 
			spanish: "Contactos Existentes",
		};
		tContentObj[tContentObj.length] = { fieldName: "sGrp_UpCont", fieldType: FTYPE_TEXT,
			english: "Update Contact:", 
			spanish: "Actualizar Contacto:",
		};
		tContentObj[tContentObj.length] = { fieldName: "sGrp_UpBtn1", fieldType: FTYPE_TEXT,
			english: "Make changes and", 
			spanish: "Hacer cambios y",
		};
		tContentObj[tContentObj.length] = { fieldName: "sGrp_UpBtn2", fieldType: FTYPE_TEXT,
			english: "below", 
			spanish: "abajo",
		};
		tContentObj[tContentObj.length] = { fieldName: "sGrp_ContUn", fieldType: FTYPE_TEXT,
			english: "Contact's Username", 
			spanish: "Nombre de Usuario del Contacto",
		};
		tContentObj[tContentObj.length] = { fieldName: "sGrp_ContName", fieldType: FTYPE_TEXT,
			english: "Displayed Name", 
			spanish: "Nombre visible",
		};
		tContentObj[tContentObj.length] = { fieldName: "UpdateContact_Button", fieldType: FTYPE_BUTTON,
			english: "Update Contact", 
			spanish: "Actualizar Contacto",
		};
		tContentObj[tContentObj.length] = { fieldName: "sGrp_HtAdd", fieldType: FTYPE_TEXT,
			english: "Add Hashtag", 
			spanish: "Aadir Hashtag",
		};
		tContentObj[tContentObj.length] = { fieldName: "sGrp_Htag", fieldType: FTYPE_TEXT,
			english: "Hashtag", 
			spanish: "Hashtag",
		};
		tContentObj[tContentObj.length] = { fieldName: "sGrp_HtagEx", fieldType: FTYPE_TEXT,
			english: "<i>This must match what everyone else is using exactly.</i> Example: DMillerSp2014", 
			spanish: "<i>Esto debe ser igual al que usan los dems.</i> Ejemplo: MRivera2018",
		};
		tContentObj[tContentObj.length] = { fieldName: "sGrp_HtDes", fieldType: FTYPE_TEXT,
			english: "Description", 
			spanish: "Descripcin",
		};
		tContentObj[tContentObj.length] = { fieldName: "sGrp_HtDesEx", fieldType: FTYPE_TEXT,
			english: "<i>This optional description is for your personal reference to help remember what a hashtag is.</i> Example: My NFP Classmates", 
			spanish: "<i>Esta es una descripcin adicional como referencia para recordar el hashtag correspondiete.</i> Ejemplo: Mi clase de PNF",
		};
		tContentObj[tContentObj.length] = { fieldName: "SaveGroup_Button", fieldType: FTYPE_BUTTON,
			english: "Save Hashtag", 
			spanish: "Guardar Hashtag",
		};
		tContentObj[tContentObj.length] = { fieldName: "sGrp_HtAbout1", fieldType: FTYPE_TEXT,
			english: "What are Message Hashtags?", 
			spanish: "Qu son Hashtags?",
		};
		tContentObj[tContentObj.length] = { fieldName: "sGrp_HtAbout2", fieldType: FTYPE_TEXT,
			english: "Hashtags act as filters for message posts.  Common examples:", 
			spanish: "Hashtags sirven de filtro para los mensajes",
		};
		tContentObj[tContentObj.length] = { fieldName: "sGrp_HtAbout3", fieldType: FTYPE_TEXT,
			english: "Posting Messages", 
			spanish: "Crear mensaje",
		};
		tContentObj[tContentObj.length] = { fieldName: "sGrp_HtAbout4", fieldType: FTYPE_TEXT,
			english: "If you specify a Hashtag with your message, anyone selecting that same hashtag filter will see your message.", 
			spanish: "Si selecciona un Hashtag particular para su mensaje, cualquier persona que lo use puede ver su mensaje.",
		};
		tContentObj[tContentObj.length] = { fieldName: "sGrp_HtAbout5", fieldType: FTYPE_TEXT,
			english: "You can make a message essentially private by specifying a hashtag and unchecking the Public box when posting the message.  Your message will only be accessible to others using that exact hashtag.", 
			spanish: "Sus mensajes pueden ser privados usando un Hashtag y quitando la instruccin para que su mensaje sea pblico.  Solamente puede verlo quien use el mismo Hashtag.",
		};
		tContentObj[tContentObj.length] = { fieldName: "sGrp_HtAbout6", fieldType: FTYPE_TEXT,
			english: "Reading Messages", 
			spanish: "Leer Mensajes",
		};
		tContentObj[tContentObj.length] = { fieldName: "sGrp_HtAbout7", fieldType: FTYPE_TEXT,
			english: "If you filter by a hashtag, you will only see messages tagged with that hashtag.", 
			spanish: "Cuando use Hashtags, solamente quieres tengan el mismo Hashtag pueden ver su mensaje.",
		};
		tContentObj[tContentObj.length] = { fieldName: "sGrp_HtAbout8", fieldType: FTYPE_TEXT,
			english: "There is no library of hashtags.  To correspond with a group, that group needs to make up a unique hashtag and all use it.  If you create a hashtag no one is using, you simply will not see any messages.", 
			spanish: "No existe un registro de Hashtags. Si desea conversar en grupo privado, los participantes deben acordar un Hashtag en comn.",
		};
		tContentObj[tContentObj.length] = { fieldName: "sGrp_HtMng", fieldType: FTYPE_TEXT,
			english: "Manage Existing Hashtags", 
			spanish: "Manejo Hashtags",
		};
		tContentObj[tContentObj.length] = { fieldName: "sGrp_HtMngList", fieldType: FTYPE_TEXT,
			english: "Message Board Hashtags", 
			spanish: "Mensajes usando Hashtags",
		};
		tContentObj[tContentObj.length] = { fieldName: "sGrp_HtExHt", fieldType: FTYPE_TEXT,
			english: "Existing Hashtags", 
			spanish: "Hashtags Existentes",
		};
		tContentObj[tContentObj.length] = { fieldName: "sGrp_HtExChg", fieldType: FTYPE_TEXT,
			english: "Change Hashtag", 
			spanish: "Cambiar Hashtag",
		};
		tContentObj[tContentObj.length] = { fieldName: "DelGroup_Button", fieldType: FTYPE_BUTTON,
			english: "Delete Hashtag", 
			spanish: "Borrar Hashtag",
		};
		tContentObj[tContentObj.length] = { fieldName: "sGrp_HtEdit1", fieldType: FTYPE_TEXT,
			english: "Make changes and", 
			spanish: "Hacer cambios y",
		};
		tContentObj[tContentObj.length] = { fieldName: "sGrp_HtEdit2", fieldType: FTYPE_TEXT,
			english: "below", 
			spanish: "Abajo",
		};
		tContentObj[tContentObj.length] = { fieldName: "sGrp_HtEditHtg", fieldType: FTYPE_TEXT,
			english: "Hashtag", 
			spanish: "Hashtag",
		};
		tContentObj[tContentObj.length] = { fieldName: "sGrp_HtEditDesc", fieldType: FTYPE_TEXT,
			english: "Description", 
			spanish: "Descripcin",
		};
		tContentObj[tContentObj.length] = { fieldName: "UpdateGroup_Button", fieldType: FTYPE_BUTTON,
			english: "Update Hashtag", 
			spanish: "Actualizar Hashtag",
		};
		tContentObj[tContentObj.length] = { fieldName: "SaveContact_Button", fieldType: FTYPE_BUTTON,
			english: "Save Contact", 
			spanish: "Guardar Contacto",
		};
		tContentObj[tContentObj.length] = { fieldName: "NewGroupCodeDescTextbox", fieldType: FTYPE_PLACEHOLDER,
			english: "My Friends", 
			spanish: "Mis Amigos",
		};
		tContentObj[tContentObj.length] = { fieldName: "NewContactTextbox", fieldType: FTYPE_PLACEHOLDER,
			english: "username", 
			spanish: "Nombre de usuario",
		};
		tContentObj[tContentObj.length] = { fieldName: "NewContactDescTextbox", fieldType: FTYPE_PLACEHOLDER,
			english: "Jane Doe", 
			spanish: "Mara Rivera",
		};
		tContentObj[tContentObj.length] = { fieldName: "sGrp_DTips", fieldType: FTYPE_TEXT,
			english: "<ul><li>Tap 'Connect' on lower menu to read or post messages</li></ul>", 
			spanish: "<ul><li>Use 'Conectar' en el men al pie de la pantalla para enviar mensajes</li></ul>",
		};
		break;
	case "settings_sub":
		if (global_is_ios)
		{
			tContentObj[tContentObj.length] = { fieldName: "setSub_Title", fieldType: FTYPE_TEXT,
				english: "Account Information", 
				spanish: "Subcripcin",
			};
		}
		else
		{
			tContentObj[tContentObj.length] = { fieldName: "setSub_Title", fieldType: FTYPE_TEXT,
				english: "Account Subscription", 
				spanish: "Subcripcin",
			};
		}
		tContentObj[tContentObj.length] = { fieldName: "setSub_WMore", fieldType: FTYPE_TEXT,
			english: "Account Information", 
			spanish: "Desea saber si est en su fase frtil o no frtil?",
		};
		tContentObj[tContentObj.length] = { fieldName: "setSub_WMore1", fieldType: FTYPE_TEXT,
			english: "You can optionally access your training materials online at", 
			spanish: "Puede tener acceso a <u>funciones adicionales</u> en",
		}
		tContentObj[tContentObj.length] = { fieldName: "setSub_WMore2", fieldType: FTYPE_TEXT,
			english: ". Login using your username ", 
			spanish: "Pagina web, usando su nombre de usuario",
		};
		tContentObj[tContentObj.length] = { fieldName: "setSub_WMore3", fieldType: FTYPE_TEXT,
			english: "and the password you created when running this app.", 
			spanish: "y la contrasea que usa en la aplicacin mvil.",
		};
		tContentObj[tContentObj.length] = { fieldName: "setSub_WMore4", fieldType: FTYPE_TEXT,
			english: "Training classes and support is also available online at <a href='https://register.ccli.org'>CCLi.org</a>.", 
			spanish: "&nbsp;",
		};
		tContentObj[tContentObj.length] = { fieldName: "setSubHist", fieldType: FTYPE_TEXT,
			english: "<b>History of Payments</b>", 
			spanish: "<b>Historial de pagos</b>",
		};
		tContentObj[tContentObj.length] = { fieldName: "setSub_Em1", fieldType: FTYPE_TEXT,
			english: "Problems or questions? Email us at", 
			spanish: "Preguntas o dificultades? Enve correo a",
		};
		tContentObj[tContentObj.length] = { fieldName: "setSub_Em2", fieldType: FTYPE_TEXT,
			english: "or login to your account at", 
			spanish: "vaya a su cuenta en",
		};
		break;
	case "startup_pw":
		tContentObj[tContentObj.length] = { fieldName: "startup_pw_title", fieldType: FTYPE_TEXT,
			english: "<b>Account Login</b>", 
			spanish: "<b>Acceso a su Cuenta</b>",
		};	
		tContentObj[tContentObj.length] = { fieldName: "StartPwRemSpan", fieldType: FTYPE_TEXT,
			english: "Remember Login", 
			spanish: "Recuerda contrasea",
		};
		tContentObj[tContentObj.length] = { fieldName: "StartPwLogBtn", fieldType: FTYPE_BUTTON,
			english: "Login", 
			spanish: "Acceso",
		};
		tContentObj[tContentObj.length] = { fieldName: "StartPwForgotBtn", fieldType: FTYPE_BUTTON,
			english: "Forgot Password", 
			spanish: "Olvid contrasea",
		};
		break;
	case "startup_signup":
		break;
	case "startup_tipofday":
		break;
	case "startup_tos":
		break;
	case "comm_share":
		tContentObj[tContentObj.length] = { fieldName: "transComShare", fieldType: FTYPE_TEXT,
			english: "Chart Sharing", 
			spanish: "Compartir Grficas",
		};
		tContentObj[tContentObj.length] = { fieldName: "transComShrSYC", fieldType: FTYPE_TEXT,
			english: "Share your chart...", 
			spanish: "Comparta su grfica...",
		};
		tContentObj[tContentObj.length] = { fieldName: "transComShrSYC", fieldType: FTYPE_TEXT,
			english: "Share your chart...", 
			spanish: "Comparta su grfica...",
		};
		tContentObj[tContentObj.length] = { fieldName: "commShrWitA", fieldType: FTYPE_TEXT,
			english: "with a", 
			spanish: "Con un usuario de",
		};
		tContentObj[tContentObj.length] = { fieldName: "commShrWitB", fieldType: FTYPE_TEXT,
			english: "user", 
			spanish: "",
		};
		tContentObj[tContentObj.length] = { fieldName: "transCommShrUserDesc", fieldType: FTYPE_TEXT,
			english: "You can share your charts with other users (including NFP instructors). Use the web interface to set this up.  Use the button below and login to start.  Your login is the username and password you setup when installing this app.", 
			spanish: "Puede compartir su grfica con otros usario.",
		};
		tContentObj[tContentObj.length] = { fieldName: "share_link1", fieldType: FTYPE_TEXT,
			english: "Setup Now", 
			spanish: "Active ahora",
		};
		tContentObj[tContentObj.length] = { fieldName: "commShrWitLink", fieldType: FTYPE_TEXT,
			english: "with anyone by sending a link", 
			spanish: "cualquier persona a quien enve este enlace",
		};
		tContentObj[tContentObj.length] = { fieldName: "transCommShrLinkDesc", fieldType: FTYPE_TEXT,
			english: "Creating a public link gives permission to anyone with the link to access your chart.  Continuing will create a custom web link to view the cycle most recently viewed in the app. This is the cycle starting on ", 
			spanish: "Cuando crea un enlace pblico, cualquier persona que lo tenga puede ver su grfica. Al continuar este proceso, usted va a crear un enlace de su grfica ms reciente. Esta es la del ciclo que comienza en",
		};
		tContentObj[tContentObj.length] = { fieldName: "transCommShrLinkShIns", fieldType: FTYPE_TEXT,
			english: "To share a different cycle, view it first (Charts > Pick Another Cycle) and then return here (Connect > Share Your Chart).", 
			spanish: "Para compartir otra grfica, vaya primero a (Grfica > Escojer otro ciclo) luego vuelva a (Conectar > Compartir Grfica).",
		};
		tContentObj[tContentObj.length] = { fieldName: "transCommShrShwEv", fieldType: FTYPE_TEXT,
			english: "Show recorded events on shared chart", 
			spanish: "Ver eventos anotados en la grfica compartida",
		};
		tContentObj[tContentObj.length] = { fieldName: "PublicUrlCreateLink", fieldType: FTYPE_BUTTON,
			english: "Create Link", 
			spanish: "Crear Enlace",
		};
		tContentObj[tContentObj.length] = { fieldName: "comm_share_2b", fieldType: FTYPE_TEXT,
			english: "Please wait while creating link.  If this does not work within a few seconds, please confirm that you have internet access and try again.", 
			spanish: "Favor de esperar en lo que creamos el enlace.  Revise su conexin de Internet si esto no ocurre en unos segundos e intente nuevamente.",
		};
		tContentObj[tContentObj.length] = { fieldName: "transComSh2c", fieldType: FTYPE_TEXT,
			english: "The following link can be shared with anyone you wish to access your chart.  You can email this or even post it on a public message board.  Anyone with the link will be able to click on it and view your chart.", 
			spanish: "Comparta este enlace con la persona que quiera dar acceso a su grfica. Puede hacerlo por correo-electrnico o un mensaje en el foro.",
		};
		tContentObj[tContentObj.length] = { fieldName: "transComPubLink", fieldType: FTYPE_TEXT,
			english: "This Cycle's Public Link", 
			spanish: "Enlace visible al pblico",
		};
		tContentObj[tContentObj.length] = { fieldName: "transComWayShr", fieldType: FTYPE_TEXT,
			english: "Ways to Share", 
			spanish: "Maneras de compartir",
		};
		tContentObj[tContentObj.length] = { fieldName: "transComWayShr1", fieldType: FTYPE_TEXT,
			english: "<b>(#1)</b> Highlight the link above and copy it (or click below to open it in a browser first). Then you can paste it where you want.", 
			spanish: "<b>(#1)</b> Seleccione y luego copie el enlace de abajo. Luego inserte el enlace en el correo, foro, etc.",
		};
		tContentObj[tContentObj.length] = { fieldName: "transComWayShr2", fieldType: FTYPE_TEXT,
			english: "<b>(#2)</b> Share link via email", 
			spanish: "<b>(#2)</b> Compartir enlace via email",
		};
		tContentObj[tContentObj.length] = { fieldName: "transComWayShr3", fieldType: FTYPE_TEXT,
			english: "<b>(#3)</b> Share on Facebook", 
			spanish: "<b>(#3)</b> Compartir en Facebook",
		};
		tContentObj[tContentObj.length] = { fieldName: "transComWayShr4", fieldType: FTYPE_TEXT,
			english: "<b>(#4)</b> Share on Twitter", 
			spanish: "@<b>(#4)</b> Compartir en Twitter",
		};
		tContentObj[tContentObj.length] = { fieldName: "transComWayShrLnk2", fieldType: FTYPE_TEXT,
			english: "Email Now", 
			spanish: "Enviar ahora",
		};
		tContentObj[tContentObj.length] = { fieldName: "transComWayShrLnk3", fieldType: FTYPE_TEXT,
			english: "Post on Facebook", 
			spanish: "Poner en Facebook",
		};
		tContentObj[tContentObj.length] = { fieldName: "transComWayShrLnk4", fieldType: FTYPE_TEXT,
			english: "Send Tweet", 
			spanish: "Enve via Tweet",
		};
		tContentObj[tContentObj.length] = { fieldName: "transComShrPrnt", fieldType: FTYPE_TEXT,
			english: "...by printing your chart", 
			spanish: "...imprima su grfica",
		};		
		tContentObj[tContentObj.length] = { fieldName: "transComShrPrDesc", fieldType: FTYPE_TEXT,
			english: "You can open your chart using a web browser and print it from any computer.  Simply login to the website using the username and password you created when you installed the app. ", 
			spanish: "Usted puede ver su grfica e imprimirla desde su computadora visitando cycleprogo.com y entrando con su nombre de usuario y su contrasea.",
		};
		tContentObj[tContentObj.length] = { fieldName: "share_link3", fieldType: FTYPE_TEXT,
			english: "View Now", 
			spanish: "Ver ahora",
		};
		break;
	case "startup_tutorial":
	case "startup_ccl_tutorial":
		tContentObj[tContentObj.length] = { fieldName: "startup_ccl_tutorial_ftr", fieldType: FTYPE_TEXT,
				english: "Mobile convenience. Trusted results.", 
				spanish: "Conveniente... Confiable",
			};
		tContentObj[tContentObj.length] = { fieldName: "tutorial_prev_btn", fieldType: FTYPE_BUTTON,
				english: "< Prev", 
				spanish: "< Atrs",
			};
		tContentObj[tContentObj.length] = { fieldName: "tutorial_next_btn", fieldType: FTYPE_BUTTON,
				english: "Next >", 
				spanish: "Siga >",
			};	
		tContentObj[tContentObj.length] = { fieldName: "tutorial_exit_btn", fieldType: FTYPE_BUTTON,
				english: "Exit Tutorial", 
				spanish: "Salir",
			};	
		break;
	case "comm_board":
		tContentObj[tContentObj.length] = { fieldName: "CmBrd_Tit", fieldType: FTYPE_TEXT,
			english: "Community Discussions", 
			spanish: "Conversaciones en la Comunidad",
		};
		tContentObj[tContentObj.length] = { fieldName: "ManageGroups_Button", fieldType: FTYPE_BUTTON,
			english: "Manage Hashtags", 
			spanish: "Manejo de Hashtags",
		};
		tContentObj[tContentObj.length] = { fieldName: "NewPost_Button1", fieldType: FTYPE_BUTTON,
			english: "New Post", 
			spanish: "Nuevo mensaje",
		};
		tContentObj[tContentObj.length] = { fieldName: "CmBrd_Fltr", fieldType: FTYPE_TEXT,
			english: "Hashtag Filter", 
			spanish: "Filtro de Hashtags",
		};
		tContentObj[tContentObj.length] = { fieldName: "CmBrd_Posts", fieldType: FTYPE_TEXT,
			english: "<b>Message Board Posts:</b>", 
			spanish: "<b>Mensajes publicados:</b>",
		};
		tContentObj[tContentObj.length] = { fieldName: "MoreMsg_Button", fieldType: FTYPE_BUTTON,
			english: "Show More Messages", 
			spanish: "Ver mensajes adicionales",
		};
		break;
	case "comm_inbox":
		tContentObj[tContentObj.length] = { fieldName: "BrdIn_Tit", fieldType: FTYPE_TEXT,
			english: "My Inbox", 
			spanish: "Mi buzn",
		};
		tContentObj[tContentObj.length] = { fieldName: "BrdIn_PM", fieldType: FTYPE_TEXT,
			english: "<b>Private Messages:</b>", 
			spanish: "<b>Mensajes privados:</b>",
		};
		tContentObj[tContentObj.length] = { fieldName: "Inbox_Msg_div", fieldType: FTYPE_TEXT,
			english: "Loading latest messages - Please wait", 
			spanish: "Cargar mensajes recientes - Favor de esperar",
		};
		tContentObj[tContentObj.length] = { fieldName: "InMoreMsg_Button", fieldType: FTYPE_TEXT,
			english: "Show More Messages", 
			spanish: "Ver ms mensajes",
		};
		tContentObj[tContentObj.length] = { fieldName: "NewPost_Button2", fieldType: FTYPE_BUTTON,
			english: "New Post", 
			spanish: "Nuevo mensaje",
		};
		break;
	case "comm_library":
		tContentObj[tContentObj.length] = { fieldName: "ComSrd_Title", fieldType: FTYPE_TEXT,
			english: "Shared Charts", 
			spanish: "Compartir grficas",
		};
		tContentObj[tContentObj.length] = { fieldName: "ComSrd_Res", fieldType: FTYPE_TEXT,
			english: "Search Results", 
			spanish: "Ver resultados",
		};
		tContentObj[tContentObj.length] = { fieldName: "ComSrd_Watch", fieldType: FTYPE_TEXT,
			english: "Watched Student Charts", 
			spanish: "Ver grficas de estudiantes",
		};
		tContentObj[tContentObj.length] = { fieldName: "ComSrd_WatchInfo", fieldType: FTYPE_TEXT,
			english: "Instructors can be notified of student phase transitions.  Students must first share their chart with you as their instructor. To start watching another another student, use the 'Find Charts from a Specific User' option below to view their charts and click at the top of the results to begin watching to receive phase notifications.", 
			spanish: "Instructores pueden ser notificados cuando las grficas de sus entudiantes cambian fase. Los estudiantes deben compartir sus grficas con el instructor. Para ver grficas de otros estudiantes vaya a 'Ver grficas de otros usuarios' debajo, seleccione el primer record y podr ver todos sus estudiantes que han tenido cambio de ciclo.",
		};
		tContentObj[tContentObj.length] = { fieldName: "ComSrd_Find", fieldType: FTYPE_TEXT,
			english: "Find Charts from a Specific User", 
			spanish: "Ver grficas de otros usuarios",
		};
		tContentObj[tContentObj.length] = { fieldName: "ComSrd_FindInfo", fieldType: FTYPE_TEXT,
			english: "Look up charts shared specifically with you by other users.  This requires them to have granted you permission to view their charts.", 
			spanish: "Ver grficas que otros usuarios han compartido con ustedes. Esto requiere que ellos hayan compartido sus grficas previamente.",
		};
		tContentObj[tContentObj.length] = { fieldName: "ComSrd_SelUsr", fieldType: FTYPE_TEXT,
			english: "Select user to view their charts", 
			spanish: "Escoja usuario para ver sus grficas",
		};
		tContentObj[tContentObj.length] = { fieldName: "ComSrd_ChLib", fieldType: FTYPE_TEXT,
			english: "Chart Library Search", 
			spanish: "Buscador de grficas",
		};
		tContentObj[tContentObj.length] = { fieldName: "ComSrd_LikeMe", fieldType: FTYPE_TEXT,
			english: "Find charts like mine", 
			spanish: "Ver grficas igual a la ma",
		};
		tContentObj[tContentObj.length] = { fieldName: "ComSrd_LikeMe1", fieldType: FTYPE_TEXT,
			english: "Search for charts similar to your most recently viewed chart", 
			spanish: "Ver grficas similares a las ms recientes en su busqueda",
		};
		tContentObj[tContentObj.length] = { fieldName: "ComSrd_LikeMe2", fieldType: FTYPE_TEXT,
			english: "Base upon chart that started", 
			spanish: "Basado en grficas comenzadas",
		};
		tContentObj[tContentObj.length] = { fieldName: "ComSrd_LikeMe3", fieldType: FTYPE_TEXT,
			english: "To select another chart, tap <b>Charts</b> &gt; <b>Pick Another Cycle</b> and load another chart and then return here.", 
			spanish: "Para seleccionar otra grfica, vaya a <b>Grficas</b> &gt; <b>Escoja otro ciclo</b> seleccione la grfica deseada.",
		};
		tContentObj[tContentObj.length] = { fieldName: "ComSrd_Det0", fieldType: FTYPE_TEXT,
			english: "Chart Details", 
			spanish: "Detalles Grfica",
		};
		tContentObj[tContentObj.length] = { fieldName: "ComSrd_Det1", fieldType: FTYPE_TEXT,
			english: "Only Completed Cycles", 
			spanish: "Solamente Ciclos Completos",
		};
		tContentObj[tContentObj.length] = { fieldName: "ComSrd_Det2", fieldType: FTYPE_TEXT,
			english: "Resulted in Pregnancy", 
			spanish: "Resultaron en embarazo",
		};
		tContentObj[tContentObj.length] = { fieldName: "ComSrd_Track0", fieldType: FTYPE_TEXT,
			english: "Actively Tracked Symptoms", 
			spanish: "Registraron signos activamente",
		};
		tContentObj[tContentObj.length] = { fieldName: "ComSrd_Track1", fieldType: FTYPE_TEXT,
			english: "Mucus", 
			spanish: "Mucosidades",
		};
		tContentObj[tContentObj.length] = { fieldName: "ComSrd_Track2", fieldType: FTYPE_TEXT,
			english: "Temperature", 
			spanish: "Temperatura",
		};
		tContentObj[tContentObj.length] = { fieldName: "ComSrd_Track3", fieldType: FTYPE_TEXT,
			english: "Cervix Observations", 
			spanish: "@Cervix Observations@",
		};
		tContentObj[tContentObj.length] = { fieldName: "ComSrd_Track4", fieldType: FTYPE_TEXT,
			english: "LH Ovulation Test Results", 
			spanish: "Prueba Ovulacin HL",
		};
		tContentObj[tContentObj.length] = { fieldName: "ComSrd_Track5", fieldType: FTYPE_TEXT,
			english: "Fertility Monitor", 
			spanish: "Monitor de fertilidad",
		};
		tContentObj[tContentObj.length] = { fieldName: "ComSrd_Med0", fieldType: FTYPE_TEXT,
			english: "Medical Conditions", 
			spanish: "Condicin mdica",
		};
		tContentObj[tContentObj.length] = { fieldName: "ComSrd_Med1", fieldType: FTYPE_TEXT,
			english: "Endometriosis", 
			spanish: "Endometriosis",
		};
		tContentObj[tContentObj.length] = { fieldName: "ComSrd_Med2", fieldType: FTYPE_TEXT,
			english: "Polycystic Ovary Syndrome (PCOS)", 
			spanish: "Sndrome Ovarios Poliquisticos (PCOS)",
		};
		tContentObj[tContentObj.length] = { fieldName: "ComSrd_Med3", fieldType: FTYPE_TEXT,
			english: "Progesterone Deficiency", 
			spanish: "Deficiencia de progesterona",
		};
		tContentObj[tContentObj.length] = { fieldName: "ComSrd_Med4", fieldType: FTYPE_TEXT,
			english: "Low Sperm Count", 
			spanish: "Conteo bajo de espermatozoides",
		};
		tContentObj[tContentObj.length] = { fieldName: "ComSrd_Age0", fieldType: FTYPE_TEXT,
			english: "Female Age", 
			spanish: "Edad de la mujer",
		};
		tContentObj[tContentObj.length] = { fieldName: "ComSrd_Age1", fieldType: FTYPE_TEXT,
			english: "Minimum age (in years)", 
			spanish: "Edad mnima",
		};
		tContentObj[tContentObj.length] = { fieldName: "ComSrd_Age2", fieldType: FTYPE_TEXT,
			english: "Maximum age (in years)", 
			spanish: "Edad mxima",
		};
		tContentObj[tContentObj.length] = { fieldName: "ComSrd_CLen0", fieldType: FTYPE_TEXT,
			english: "Cycle Lengths", 
			spanish: "Duracin de ciclo",
		};
		tContentObj[tContentObj.length] = { fieldName: "ComSrd_CLen1", fieldType: FTYPE_TEXT,
			english: "Minimum cycle length (in days)", 
			spanish: "Ciclo ms corto (en das)",
		};
		tContentObj[tContentObj.length] = { fieldName: "ComSrd_CLen2", fieldType: FTYPE_TEXT,
			english: "Maximum cycle length (in days)", 
			spanish: "Ciclo ms largo (en das)",
		};
		tContentObj[tContentObj.length] = { fieldName: "FindCharts_Button", fieldType: FTYPE_BUTTON,
			english: "Find Charts", 
			spanish: "Buscar grficas",
		};
		tContentObj[tContentObj.length] = { fieldName: "ageMinTextbox", fieldType: FTYPE_PLACEHOLDER,
			english: "(age in years)", 
			spanish: "Edad",
		};
		tContentObj[tContentObj.length] = { fieldName: "ageMaxTextbox", fieldType: FTYPE_PLACEHOLDER,
			english: "(age in years)", 
			spanish: "Edad",
		};
		tContentObj[tContentObj.length] = { fieldName: "cycMinTextbox", fieldType: FTYPE_PLACEHOLDER,
			english: "(num of days)", 
			spanish: "(nm de das)",
		};
		tContentObj[tContentObj.length] = { fieldName: "cycMaxTextbox", fieldType: FTYPE_PLACEHOLDER,
			english: "(num of days)", 
			spanish: "(nm de das)",
		};
		tContentObj[tContentObj.length] = { fieldName: "ComSrd_clear", fieldType: FTYPE_TEXT,
			english: "clear", 
			spanish: "Borrar",
		};
		break;
	case "comm_post":
		tContentObj[tContentObj.length] = { fieldName: "MB_PostTitle", fieldType: FTYPE_TEXT,
			english: "Post a New Message", 
			spanish: "Cargar nuevo mensaje",
		};
		tContentObj[tContentObj.length] = { fieldName: "MB_To", fieldType: FTYPE_TEXT,
			english: "Who to send message to", 
			spanish: "Enviar mensaje a",
		};
		tContentObj[tContentObj.length] = { fieldName: "MB_Indiv", fieldType: FTYPE_TEXT,
			english: "An Individual", 
			spanish: "Un individuo",
		};
		tContentObj[tContentObj.length] = { fieldName: "MB_Group", fieldType: FTYPE_TEXT,
			english: "A Group", 
			spanish: "Un grupo",
		};
		tContentObj[tContentObj.length] = { fieldName: "MB_Contacts", fieldType: FTYPE_TEXT,
			english: "Your Contacts", 
			spanish: "Tus Contactos",
		};
		tContentObj[tContentObj.length] = { fieldName: "MB_PostTo", fieldType: FTYPE_TEXT,
			english: "To", 
			spanish: "A",
		};
		tContentObj[tContentObj.length] = { fieldName: "toUnTxt", fieldType: FTYPE_PLACEHOLDER,
			english: "username", 
			spanish: "Nombre usuario",
		};
		tContentObj[tContentObj.length] = { fieldName: "MB_HtFilt", fieldType: FTYPE_TEXT,
			english: "Hashtag Filter", 
			spanish: "Filtro de Hashtag",
		};
		tContentObj[tContentObj.length] = { fieldName: "MB_MoreHt", fieldType: FTYPE_TEXT,
			english: "Want to add more hashtags?  Tap <b>Settings</b> &gt; <b>#Tags and Contacts</b>", 
			spanish: "Desea crear nuevos Hashtags?  Va <b>Controles</b> &gt; <b>Hashtags y Contactos</b>",
		};
		tContentObj[tContentObj.length] = { fieldName: "MB_MsgOpt", fieldType: FTYPE_TEXT,
			english: "<b>Message Options:</b>", 
			spanish: "<b>Opciones Mensajes:</b>",
		};
		tContentObj[tContentObj.length] = { fieldName: "MB_MsgOpt1", fieldType: FTYPE_TEXT,
			english: "Also make my message public", 
			spanish: "Hacer mi mensaje pblico",
		};
		tContentObj[tContentObj.length] = { fieldName: "MB_MsgOpt2", fieldType: FTYPE_TEXT,
			english: "Hide My Name", 
			spanish: "Esconder mi nombre",
		};
		tContentObj[tContentObj.length] = { fieldName: "MB_MsgOpt3", fieldType: FTYPE_TEXT,
			english: "Share an attached chart", 
			spanish: "Compartir la grfica adjunta",
		};
		tContentObj[tContentObj.length] = { fieldName: "MB_MsgOpt4", fieldType: FTYPE_TEXT,
			english: "...include recorded events", 
			spanish: "...incluye registro de eventos",
		};
		tContentObj[tContentObj.length] = { fieldName: "MB_Share1", fieldType: FTYPE_TEXT,
			english: "This will attach your most recently viewed chart:", 
			spanish: "Esto adjunta su grfica ms reciente:",
		};
		tContentObj[tContentObj.length] = { fieldName: "MB_Share2", fieldType: FTYPE_TEXT,
			english: "Anyone reading your message can view your chart.<br> To select another chart, tap <b>Charts</b> &gt; <b>Pick Another Cycle</b> and load another chart and then return here.", 
			spanish: "Quien va su mensaje puede ver su grfica.<br> Para seleccionar otra grfica, vaya a <b>Grficas</b> &gt; <b>Escoja otro ciclo</b> seleccione otra grfica y vuelva aqu.",
		};
		tContentObj[tContentObj.length] = { fieldName: "MB_MsgOpt5", fieldType: FTYPE_TEXT,
			english: "Message Headline", 
			spanish: "Ttulo Mensaje",
		};
		tContentObj[tContentObj.length] = { fieldName: "MB_MsgBody", fieldType: FTYPE_TEXT,
			english: "Message", 
			spanish: "Mensaje",
		};
		tContentObj[tContentObj.length] = { fieldName: "Post_Button", fieldType: FTYPE_BUTTON,
			english: "Post Message", 
			spanish: "Enviar Mensaje",
		};
		break;        	
	case "comm_dosp_body":
		break;
	case "comm_dosp_woman":
		break;
	case "comm_dosp_prayers":
		break;
	case "comm_dosp_infertility":
		break;
	case "comm_dosp_pamlabs":
		break;
	case "comm_resource":
		break;
	default:
		printDebug("unclassified page=" + loading_page);
		break;
	}
	
	// Translate
	if (tContentObj.length > 0)
	{
		translate(tContentObj);
	}
	return;
}

function translate_MenuLists()
{
	var tContentObj = new Array();
	
	tContentObj[tContentObj.length] = { fieldName: "menu_charts_hdr", fieldType: FTYPE_TEXT,
		english: "Charts and Analysis", 
		spanish: "Grficas y Anlisis",
	};
	tContentObj[tContentObj.length] = { fieldName: "menu_charts1", fieldType: FTYPE_TEXT,
		english: "Pick Another Cycle", 
		spanish: "Escoje un ciclo",
	};
	tContentObj[tContentObj.length] = { fieldName: "menu_charts2", fieldType: FTYPE_TEXT,
		english: "Chart", 
		spanish: "Grfica",
	};
	tContentObj[tContentObj.length] = { fieldName: "menu_charts5", fieldType: FTYPE_TEXT,
		english: "Cycle Stats", 
		spanish: "Estadsticas de ciclos",
	};	
	tContentObj[tContentObj.length] = { fieldName: "menu_charts6", fieldType: FTYPE_TEXT,
		english: "Chart", 
		spanish: "Grfica",
	};
	tContentObj[tContentObj.length] = { fieldName: "menu_charts7", fieldType: FTYPE_TEXT,
		english: "Select Phase Dates", 
		spanish: "Escoje la fecha de la Fase",
	};
	tContentObj[tContentObj.length] = { fieldName: "menu_charts8", fieldType: FTYPE_TEXT,
		english: "Cycle History", 
		spanish: "Historial de Ciclos",
	};
	tContentObj[tContentObj.length] = { fieldName: "menu_charts9", fieldType: FTYPE_TEXT,
		english: "CCL Method Rules", 
		spanish: "Normas de la LPP",
	};
	tContentObj[tContentObj.length] = { fieldName: "menu_comm_hdr", fieldType: FTYPE_TEXT,
		english: "Connect Resources", 
		spanish: "Conectar Recursos",
	};
	tContentObj[tContentObj.length] = { fieldName: "menu_comm1", fieldType: FTYPE_TEXT,
		english: "Message Boards", 
		spanish: "Foro Mensajes",
	};
	tContentObj[tContentObj.length] = { fieldName: "menu_comm2", fieldType: FTYPE_TEXT,
		english: "My Inbox", 
		spanish: "Mi buzn",
	};
	tContentObj[tContentObj.length] = { fieldName: "menu_comm3", fieldType: FTYPE_TEXT,
		english: "Create a Message", 
		spanish: "Crear mensaje",
	};
	tContentObj[tContentObj.length] = { fieldName: "menu_comm4", fieldType: FTYPE_TEXT,
		english: "Resource Links", 
		spanish: "Recursos",
	};
	tContentObj[tContentObj.length] = { fieldName: "menu_comm5", fieldType: FTYPE_TEXT,
		english: "View Shared Charts", 
		spanish: "Ver grficas compartidas",
	};
	tContentObj[tContentObj.length] = { fieldName: "menu_comm6", fieldType: FTYPE_TEXT,
		english: "Share Your Chart", 
		spanish: "Compartir su grfica",
	};
	tContentObj[tContentObj.length] = { fieldName: "menu_comm7", fieldType: FTYPE_TEXT,
		english: "Startup Tutorial", 
		spanish: "Comiece tutorial",
	};
	tContentObj[tContentObj.length] = { fieldName: "menu_set_hdr", fieldType: FTYPE_TEXT,
		english: "Settings", 
		spanish: "Controles",
	};
	tContentObj[tContentObj.length] = { fieldName: "menu_set1", fieldType: FTYPE_TEXT,
		english: "Application Settings", 
		spanish: "Controles",
	};
	tContentObj[tContentObj.length] = { fieldName: "menu_set2", fieldType: FTYPE_TEXT,
		english: "Configure Events", 
		spanish: "Configurar eventos",
	};
	tContentObj[tContentObj.length] = { fieldName: "menu_set3", fieldType: FTYPE_TEXT,
		english: "Configure Events", 
		spanish: "Configurar eventos",
	};
	tContentObj[tContentObj.length] = { fieldName: "menu_set4", fieldType: FTYPE_TEXT,
		english: "Notification Settings", 
		spanish: "Control notificaciones",
	};
	tContentObj[tContentObj.length] = { fieldName: "menu_set5", fieldType: FTYPE_TEXT,
		english: "Pregnancies", 
		spanish: "Embarazos",
	};
	tContentObj[tContentObj.length] = { fieldName: "menu_set6", fieldType: FTYPE_TEXT,
		english: "#Tags and Contacts", 
		spanish: "Hashtags y Contactos",
	};
	tContentObj[tContentObj.length] = { fieldName: "menu_set7", fieldType: FTYPE_TEXT,
		english: "About App", 
		spanish: "Sobre la Aplicacin",
	};
	if (global_is_ios)
	{
		tContentObj[tContentObj.length] = { fieldName: "acc_navlink", fieldType: FTYPE_TEXT,
			english: "Manage Account", 
			spanish: "Su Subscripcin",
		};
	}
	else
	{
		tContentObj[tContentObj.length] = { fieldName: "acc_navlink", fieldType: FTYPE_TEXT,
			english: "Manage Subscription", 
			spanish: "Su Subscripcin",
		};
	}
	// Also popups
	tContentObj[tContentObj.length] = { fieldName: "divPopupCloseBtn", fieldType: FTYPE_BUTTON,
		english: "Close", 
		spanish: "Cerrar",
	};
	tContentObj[tContentObj.length] = { fieldName: "divPopupYesBtn", fieldType: FTYPE_BUTTON,
		english: "Yes", 
		spanish: "Si",
	};
	
	translate(tContentObj);
	return;
}


// Function to swap dynamically set content
function trans_dyn_content(english_string)
{
	var OrigEnglish = [];
	var retval = '';
	
	if (global_spanish > 0)
	{
		// Build up translation structure: English > Spanish
		// WARNING: Do not change English wording in this function!  It also needs changed where this function is called so that it can be indexed properly!
		OrigEnglish["Cycle Day"] = 
			"Da del Ciclo";		
		OrigEnglish["Not Fertile"] = 
			"No Frtil";
		OrigEnglish["and you are in Phase"] = 
			"ests en Fase";
		OrigEnglish["Fertile"] = 
			"Frtil";
		OrigEnglish["Phase Unknown"] = 
			"Fase desconocida";
		OrigEnglish["Please record all daily symptoms"] = 
			"Registrar sus seales diariamente";
		OrigEnglish["<font color='#C00000'>WARNING</font>: You are editing a <u>future</u> date!<br>"] = 
			"<font color='#C00000'>ALERTA</font>: Ests editando <u>una fecha</u> futura!<br>";
		OrigEnglish["N/A"] = 
			"N/A";
		OrigEnglish["(new description)"] = 
			"(nueva descripcin)";
		OrigEnglish["(was "] = 
			"(fue ";
		OrigEnglish["This is Postpartum Week #"] = 
			"Esta es la semana posparto #";
		OrigEnglish["as of today"] = 
			"al da de hoy";			
		OrigEnglish["Today is"] = 
			"Hoy es";			
		OrigEnglish["This is <i>week #"] = 
			"Esta es <i>semana #";
		OrigEnglish["of your pregnancy."] = 
			"de su embarazo.";
		OrigEnglish["You have been pregnant for "] = 
			"Ha estado embarazada por ";
		OrigEnglish["week(s) and "] = 
			"semana(s) y ";				
		OrigEnglish[" day(s)"] = 
			" da(s)";		
		OrigEnglish["Server Offline?"] = 
			"Desconectado del Servidor?";			
		OrigEnglish["Invalid Temperature"] = 
			"Temperatura invlida";	
		OrigEnglish["The temperature value entered is invalid.  Please enter a numeric value and try again."] = 
			"Entrada de temperatura invlida.  Entrar un nmero e intentar nuevamente.";			
		OrigEnglish["Anxiety"] = 
			"Ansiedad";
		OrigEnglish["Depression"] = 
			"Depresin";			
		OrigEnglish["Happiness"] = 
			"Alegre";			
		OrigEnglish["Energetic"] = 
			"Enrgica";			
		OrigEnglish["Stress"] = 
			"Estrs";
		OrigEnglish["Irritable"] = 
			"Irritable";			
		OrigEnglish["Sadness"] = 
			"Tristeza";
		OrigEnglish["Mood Swings"] = 
			"Cambio de humor";			
		OrigEnglish["Acne"] = 
			"Acn";
		OrigEnglish["Backache"] = 
			"Dolor de espalda";			
		OrigEnglish["Bloating"] = 
			"Hinchazn";			
		OrigEnglish["Breast Tenderness"] = 
			"Pechos sensibles";			
		OrigEnglish["Constipation"] = 
			"Estreimiento";
		OrigEnglish["Cramping"] = 
			"Clicos";			
		OrigEnglish["Decreased Appetite"] = 
			"Poco apetito";	
		OrigEnglish["Decreased Libido"] = 
			"Bajo Libido";			
		OrigEnglish["Diarrhea"] = 
			"Diarrea";			
		OrigEnglish["Dizziness"] = 
			"Mareos";			
		OrigEnglish["Fatigue"] = 
			"Fatiga";
		OrigEnglish["Fever"] = 
			"Fiebre";			
		OrigEnglish["Frequent Urination"] = 
			"Orinar frecuentemente";
		OrigEnglish["Gassy"] = 
			"Gas";			
		OrigEnglish["Headache"] = 
			"Dolor de cabeza";
		OrigEnglish["Heartburn"] = 
			"Acidez";			
		OrigEnglish["Increased Appetite"] = 
			"Aumento de apetito";			
		OrigEnglish["Increased Libido"] = 
			"Aumento de libido";			
		OrigEnglish["Migraine"] = 
			"Migraa";
		OrigEnglish["Nausea"] = 
			"Nausea";			
		OrigEnglish["Ovulation Pain"] = 
			"Dolor de ovulacin";	
		OrigEnglish["PMS"] = 
			"PMS";			
		OrigEnglish["Spotting"] = 
			"Manchado";			
		OrigEnglish["Alcohol Consumption"] = 
			"Consumo de alcohol";			
		OrigEnglish["Breast Self Exam"] = 
			"Examen de pechos";
		OrigEnglish["Exercise"] = 
			"Ejercicio";			
		OrigEnglish["Illness"] = 
			"Enfermedad";
		OrigEnglish["Insemination"] = 
			"Inseminacin";			
		OrigEnglish["Insomnia"] = 
			"Insomnio";
		OrigEnglish["Expectorant"] = 
			"Expectorante";			
		OrigEnglish["Intense Dreams"] = 
			"Sueos Intensos";			
		OrigEnglish["IVF Transfer"] = 
			"Transferencia de Fertilizacin In-Vitro";			
		OrigEnglish["Mucus Obscurred"] = 
			"Mucosidad oscurecida";
		OrigEnglish["Steroids (oral)"] = 
			"Esteroides (oral)";			
		OrigEnglish["Faintness"] = 
			"Desmayos";	
		OrigEnglish["Protection"] = 
			"Proteccin";			
		OrigEnglish["Restless Night"] = 
			"Sueo ligero";			
		OrigEnglish["Traveling"] = 
			"Viajando";			
		OrigEnglish["Yeast Infection"] = 
			"Infeccin";
		OrigEnglish["Clomid"] = 
			"Clomid";			
		OrigEnglish["Estrogen"] = 
			"Estrgeno";
		OrigEnglish["Antibiotic"] = 
			"Antibitico";			
		OrigEnglish["Thyroid Medication"] = 
			"Medicamento para la Tirides";
		OrigEnglish["Antidepressant"] = 
			"Antidepresivo";			
		OrigEnglish["Antihistamine"] = 
			"Antihistamnico";			
		OrigEnglish["Femara/Letrozole"] = 
			"Femara/Letrozole";			
		OrigEnglish["FSH"] = 
			"HEF";
		OrigEnglish["HCG"] = 
			"GCH";			
		OrigEnglish["Metformin"] = 
			"Metformina";	
		OrigEnglish["Other Medications"] = 
			"Otros medicamentos";			
		OrigEnglish["Progesterone"] = 
			"Progesterona";			
		OrigEnglish["Vitamins"] = 
			"Vitaminas";			
		OrigEnglish["Bleeding Gums"] = 
			"Sangrado en las encas";
		OrigEnglish["Blurred Vision"] = 
			"Visin nublada";			
		OrigEnglish["Braxton Hicks Contractions"] = 
			"Contracciones Braxton Hicks";
		OrigEnglish["Cravings"] = 
			"Antojos";			
		OrigEnglish["Dry Eyes"] = 
			"Sequedad de ojos";
		OrigEnglish["Enlarged Breasts"] = 
			"Pechos hinchados";			
		OrigEnglish["Excess Saliva"] = 
			"Saliva excesiva";			
		OrigEnglish["Pregnancy Test Positive"] = 
			"Prueba de embarazo positiva";			
		OrigEnglish["Fetal Movement"] = 
			"Movimiento fetal";
		OrigEnglish["Fluid Retention"] = 
			"Retencin de lquido";			
		OrigEnglish["Food Aversions"] = 
			"Aversin a la comida";	
		OrigEnglish["Hemorrhoids"] = 
			"Hemorrhoides";			
		OrigEnglish["Itchiness"] = 
			"Comezn";			
		OrigEnglish["Leaking Colustrum"] = 
			"Fuga de calostro";			
		OrigEnglish["Leaking Urine"] = 
			"Fuga de orina";
		OrigEnglish["Leg cramps"] = 
			"Calambre piernas";			
		OrigEnglish["Leukorrhea"] = 
			"leucorrea";
		OrigEnglish["Linea nigra"] = 
			"Linea nigra";			
		OrigEnglish["Mask of Pregnancy"] = 
			"Melasma o mscara de embarazo";
		OrigEnglish["Morning Sickness"] = 
			"Nuseas matutinas";			
		OrigEnglish["Pubic Bone Pain"] = 
			"Dolor hueso pbico";			
		OrigEnglish["Rash"] = 
			"Irritacin";			
		OrigEnglish["Round Ligament Pain"] = 
			"Dolor ligamento redondo";
		OrigEnglish["Sciatica"] = 
			"Citica";			
		OrigEnglish["Shortness of Breath"] = 
			"Dificultad al respirar";	
		OrigEnglish["Skin Changes"] = 
			"Cambios en la piel";			
		OrigEnglish["Sore bellybutton"] = 
			"Molestia en ombligo";
		OrigEnglish["Sore hips"] = 
			"Molestia en la cadera";			
		OrigEnglish["Sore perineum"] = 
			"Molestia perino";
		OrigEnglish["Stretch Marks"] = 
			"Estras";			
		OrigEnglish["Stuffy nose"] = 
			"Congestin nasal";			
		OrigEnglish["Sweating"] = 
			"Sudorosa";			
		OrigEnglish["Swelling (Edema)"] = 
			"Hinchazn (Edema)";
		OrigEnglish["Thirsty"] = 
			"Sedienta";			
		OrigEnglish["Tingling Hands"] = 
			"Hormigueo en las manos";	
		OrigEnglish["Varicose Veins"] = 
			"Varices";			
		OrigEnglish["Weepiness"] = 
			"Sollozos";			
		OrigEnglish["Pregnancy Test Negative"] = 
			"Prueba embarazo negativa";	
		OrigEnglish["NOTE: Use after giving birth and during lactational amenorrhea. Select 'Regular Cycle Charting' when your first menstruation returns."] = 
			"NOTA: Use luego del parto o durante la amenorrea de la lactancia. Seleccione 'Grfica de ciclo regular' cuando regrese su menstruacin.";
		OrigEnglish["NOTE: Use only after determining you are in premenopause as defined by CCL's Transitions Student Guide and/or Premenopause Class."] = 
			"NOTA: Use una vez sepa que est en la premenopausia segn lo establece la LPP";			
		OrigEnglish["Are you sure you want to create a new mucus description for '"] = 
			"Quiere crear una nueva descripcin de mucosidad para '";
		OrigEnglish["Mucus descriptions are used for postpartum and premenopausal charting.  Add a new description to describe a new mucus pattern, sensation, or volume that you have not defined previously in the drop down list."] = 
			"Puede crear nuevas descripciones de mucosidad para usar despus del parto o durante la premenopausia. Estas incluyen nuevo patrn de mucosidad, sensaciones o cantidad, si no existen en la lista.";			
		OrigEnglish["New Mucus Description"] = 
			"Nueva descripcin de mucosidad";
		OrigEnglish["The mucus description already exists. Please select it from the drop down. Do not add a mucus description if it already exists!"] = 
			"Esta descripcin de mucosidad ya existe. Selecciona del men. Evite aadir descripciones que ya existen.";			
		OrigEnglish["Error Creating"] = 
			"No es posible crear";			
		OrigEnglish["A new mucus description was added. You can now select it from the drop down to record it."] = 
			"Una nueva descripcin de mucosidad fue creada. Ahora puede seleccionarla del men.";			
		OrigEnglish["Success"] = 
			"xito";
		OrigEnglish["CycleProGo Account"] = 
			"Cuenta de CycleProGo";			
		OrigEnglish["Manage Subscription"] = 
			"Manejar subscripcin";	
		OrigEnglish["Since the date you selected is not visible on the current calendar month view, the month is being changed for you.  This is necessary to ensure that your data is kept in sync.  Once the calendar finishes loading, please select the desired date from the calendar to continue."] = 
			"Ya que no es posible ver sus datos en el formato de 'Calendario' hemos cambiado el mes para usted. Esto facilita sincronizar los datos. Una vez terminado el proceso, escoja la fecha deseada en el calendario.";			
		OrigEnglish["Switching Calendar Month"] = 
			"Cambiar mes en calendario";			
		OrigEnglish["Data entry requires an active premium subscription.  Your subscription appears to have expired and this change can not be saved.  To update your subscription, click on Settings and select Manage Subscription.  If you have an active premium subscription and see this message in error, try resynchronizing with the server by making sure your device is connected to the internet and pressing the 'Sync' button."] = 
			"La entrada de datos requiere un subscripcin premium.  Su subscripcin actual parece que ha expirado, por lo que estos cambios no pueden guardarse en su grfica. Para reactivar su subscripcin vaya a 'Controles' y seleccione Manejar subscripcin. Si piensa que esto es un error, favor de sincronizar su aplicacin. Verifique que tiene acceso a Internet.";			
		OrigEnglish["Warning: Changes NOT Saved"] = 
			"Alerta: Cambios NO han sido guardados";
		OrigEnglish["Renew Subscription"] = 
			"Renovar Subscripcin";			
		OrigEnglish["You have disabled remote analysis.  This is not recommended since it prevents this app from performing any analysis.  Information can be recorded and displayed, but fertility analysis will not consider newly recorded fields.  To fix this, click on the Settings button and check the Enable Remote Features option on the App Settings screen."] = 
			"@You have disabled remote analysis.  This is not recommended since it prevents this app from performing any analysis.  Information can be recorded and displayed, but fertility analysis will not consider newly recorded fields.  To fix this, click on the Settings button and check the Enable Remote Features option on the App Settings screen.@";
		OrigEnglish["Settings Problem"] = 
			"Problema en los Controles";			
		OrigEnglish["Your device does not have internet access now, so this app cannot perform remote analysis.  Information can be recorded, displayed, and charted, but fertility analysis will not consider newly recorded fields until it can go back online and get updated.  If this is shown incorrectly when you do have internet access, please close and restart the app and the problem will likely resolve itself."] = 
			"Parece no estar conectado al internet. La informacin pude ser registrada y disponible pero la interpretacin requiere estar conectado al internet. Puede intentar cerrando la aplicacin y volvindola a abrir.";
		OrigEnglish["No Internet Access"] = 
			"No acceso a internet";			
		OrigEnglish["You are now ready for online access again. This should occur when you navigate to another day or cycle.  If it does not, you may need to close and restart the app."] = 
			"Nuevamente tiene acceso al internet.";			
		OrigEnglish["Ready to go online"] = 
			"Listo para conectarse en linea";			
		OrigEnglish["Note"] = 
			"Nota";
		OrigEnglish["The account login information is not valid.  If you changed your password using the website interface, you must also update your password on the Settings screen of this app.  Please go to the app settings screen and check your username and login."] = 
			"Su informacin no es vlida. Si ha cambiado su informacin de acceso en la pgina web, debe actualizarla en 'Controles' en la aplicacin movil.";
		OrigEnglish["NOTE: <b>Postpartum nursing</b> rules are being applied to this chart.  This assumes that you continue to breastfeed.<br>"] = 
			"NOTA: <b>Lactancia posparto</b> y sus normas, han sido aplicadas a esta grfica. Esto asume que usted va a continuar lactando.<br>";			
		OrigEnglish["NOTE: <b>Premenopause</b> rules are being applied to this chart.<br>"] = 
			"NOTA: <b>Premenopausia</b> y sus normas, han sido aplicadas a esta grfica.<br>";
		OrigEnglish["NOTE: Your cycle history shows some signs of potential premenopause. Depending on your age and circumstance, you may wish to consult your teaching couple about this or create a Premenopause Chart.<br>"] = 
			"NOTA: Su ciclo muestra signos asociados con la premenopausia. Dependiendo de su edad y las circunstancias, es aconsejable que hable con su Consultor o que cree una grfica de Premenopausia.<br>";			
		OrigEnglish["<br>How to record a cycle:<ol><li>Tap on the Calendar icon at the bottom</li><li>Tap on the date that your last cycle started on the calendar</li><li>Check the 'This day should start a new chart' box.</li></ul>"] = 
			"<br>Cmo registrar su ciclo?<ol><li>Seleccione el Calendario al pie de la pantalla</li><li>Escoja la fecha en que su ciclo ms reciente comenz</li><li>En ese da, marque la caja que dice 'Este da debe comenzar un nuevo ciclo'.</li></ul>";
		OrigEnglish["Please select a cycle"] = 
			"Escoja un ciclo";			
		OrigEnglish["Postpartum Nursing"] = 
			"Lactancia Posparto";			
		OrigEnglish["Postpartum Formula"] = 
			"Frmula Posparto";			
		OrigEnglish["Premenopause"] = 
			"Premenopausia";
		OrigEnglish[" [Pregnancy]"] = 
			" [Embarazo]";			
		OrigEnglish[" [Postpartum]"] = 
			" [Posparto]";	
		OrigEnglish["(n/a - this cycle has changed)"] = 
			"(n/a - este ciclo ha cambiado)";			
		OrigEnglish["The cycle you selected is invalid.  Please select another cycle date and try again."] = 
			"El ciclo seleccionado es invlido. Favor de escoger otro y volver a intentar.";			
		OrigEnglish["<tr><td><b>Cycle Start</b></td><td><b>Cycle Length</b></td><td><b>Luteal Length</b></td></tr>"] = 
			"<tr><td><b>Comienzo del ciclo</b></td><td><b>Largo de ciclo</b></td><td><b>Fase ltea</b></td></tr>";			
		OrigEnglish["Cycle: "] = 
			"Ciclo: ";
		OrigEnglish["Analyzed Cycle: "] = 
			"Analizar ciclo: ";			
		OrigEnglish["Phase I ends on cycle day"] = 
			"Fase I termina el da";
		OrigEnglish["Phase III starts on the evening of cycle day"] = 
			"Fase III comienza la noche del da";			
		OrigEnglish["<td>In Progress</td>"] = 
			"<td>En curso</td>";
		OrigEnglish["<td>100 days or more</td>"] = 
			"<td>100 das o ms</td>";
		OrigEnglish["days"] = 
			"das";	
		OrigEnglish["<td>Anovulatory</td></tr>"] = 
			"<td>Anovulatorio</td></tr>";			
		OrigEnglish["<td>Unknown</td></tr>"] = 
			"<td>Desconocida</td></tr>";			
		OrigEnglish["<td>n/a</td></tr>"] = 
			"<td>n/a</td></tr>";
		OrigEnglish["Pregnancy Start"] = 
			"Comienzo Embarazo";			
		OrigEnglish["Postpartum Start"] = 
			"Comiezo Posparto";	
		OrigEnglish["Week "] = 
			"Semana ";			
		OrigEnglish["Cycle Day "] = 
			"Da del ciclo ";			
		OrigEnglish["You have not recorded any data yet.  To get started, go back to the Calendar, click on the first date of your cycle, expand the 'Other Info/Notes' section and check the 'This day should start a new cycle' box.  You can also record temperature and other symptoms and events there."] = 
			"No ha registrado sus observaciones. Para comenzar, vaya al botn de Calendario, seleccione la fecha del primer da de sus ciclo, en la seccin para entrar sus datos diarios, marque la caja: Nuevo ciclo, 'Este da debe comenzar un nuevo ciclo'. Ah puede registrar sus temperaturas y otros signos.";			
		OrigEnglish["Welcome"] = 
			"Bienvenido";
		OrigEnglish["It appears a new cycle started on "] = 
			"Parece que un nuevo ciclo comenz el ";			
		OrigEnglish["It is recommended you view this cycle on its own chart by selecting 'Charts' > 'Pick Another Cycle' and picking the start date for this later cycle."] = 
			"Recomendamos que vea este ciclo en formato de grfica. Vaya a 'Grfica'> 'Escojer otro ciclo', seleccione la fecha en que comienza este ciclo anterior.";
		OrigEnglish[" days"] = 
			" das";			
		OrigEnglish["Day "] = 
			"Da ";
		OrigEnglish["Unknown"] = 
			"Desconocido";			
		OrigEnglish[" (official)"] = 
			" (oficial)";			
		OrigEnglish[" (pending estimate)"] = 
			" (estimado)";			
		OrigEnglish["Diabled"] = 
			"Desactivado";
		OrigEnglish["Disabled <sup>(requires Premium Subscription)</sup></span>"] = 
			"Desactivado <sup>(require subscripcin Premium)</sup></span>";			
		OrigEnglish["You cannot advance past the end of the selected cycle.  To select another cycle, push the <i>Chart & Analysis</i> button again and make another cycle selection."] = 
			"No es posible ir mas all del final del ciclo. Para escojer otro ciclo, vaya a la seccin de <i>Grficas y Anlisis</i>, ah puede seleccionar otro ciclo.";	
		OrigEnglish["Past End of Cycle"] = 
			"Fin de ciclo anterior";			
		OrigEnglish["You cannot go back before the start of the selected cycle. <br>To select another cycle, push the <i>Chart & Analysis</i> button again and make another cycle selection."] = 
			"No es posible ir antes del comienzo del ciclo. Para escojer otro ciclo, vaya a la seccin de <i>Grficas y Anlisis</i>, ah puede seleccionar otro ciclo.";			
		OrigEnglish["Past Start of Cycle"] = 
			"Comienzo del ciclo anterior";			
		OrigEnglish["Invalid cycle day. Please enter a cycle day from 1 to 365 and try again."] = 
			"Da de ciclo invlido. Favor de entrar un da del ciclo de 1 a 365 e intentar otra vez.";
		OrigEnglish["Invalid Phase I Cycle Day"] = 
			"Da de Fase I invlido";			
		OrigEnglish["Invalid Phase 3 Cycle Day"] = 
			"Da de Fase 3 invlido";
		OrigEnglish["No chart selected"] = 
			"No ha seleccionado una grfica";			
		OrigEnglish["No chart selected"] = 
			"No ha seleccionado una grfica";
		OrigEnglish["<b>Warning</b>: New posts require an active subscription.  Please check your account and try again.  If you feel you have received this message in error, push the 'Sync' button to ensure synchronization with the server and try again."] = 
			"<b>Alerta</b>: Nuevos mensajes requieren una subscripcin activa. Revise su cuenta y trate de nuevo. Si piensa que este mensaje es un error, presione el botn 'Sinc'y trate de nuevo.";			
		OrigEnglish["<b>Warning</b>: You cannot post messages without an active subscription.  It appears as though your subscription expired.  Please check your account and try again."] = 
			"<b>Alerta</b>: Nuevos mensajes requieren una subscripcin activa. Parece que su subscripcin ha expirado. Favor de revisar su cuenta y trate de nuevo.";			
		OrigEnglish["No chart selected"] = 
			"No ha seleccionado una grfica";			
		OrigEnglish["Manually Specify Username"] = 
			"Especifque Nombre de usuario";
		OrigEnglish["The server could not be reached to download a list of message board posts.  Your device may not have internet access or the server may be down.  Please try again later."] = 
			"El servidor no puede bajar la lista de mensajes. Es posible que haya perdido su conexin al internet o que el servidor no est disponible. Favor de tratar ms tarde.";			
		OrigEnglish["Teaching Couple"] = 
			"Consultor";	
		OrigEnglish["Reply"] = 
			"Responder";			
		OrigEnglish[" second(s) ago"] = 
			" segundo(s) atrs";
		OrigEnglish[" minute(s) ago"] = 
			" minuto(s) atrs";			
		OrigEnglish[" hour(s) ago"] = 
			" hora(s) atrs";			
		OrigEnglish[" day(s) ago"] = 
			" das(s) atrs";
		OrigEnglish[" month(s) ago"] = 
			" mes atrs";			
		OrigEnglish[" on "] = 
			" en ";
		OrigEnglish[" at "] = 
			" en ";			
		OrigEnglish["No additional messages available"] = 
			"No hay otros mensajes.";
		OrigEnglish["You have no messages."] = 
			"No hay otros mensajes.";			
		OrigEnglish["No posts match the group code you have selected."] = 
			"Ninguno de los mensajes corresponde a su seleccin.";			
		OrigEnglish["The server could not be reached to download a list of resources.  Your device may not have internet access or the server may be down.  Please try again later."] = 
			"El servidor no pudo bajar la lista de recursos. Es posible que haya perdido su conexin al internet o que el servidor no est disponible. Favor de tratar ms tarde.";			
		OrigEnglish["No users are sharing with you"] = 
			"No hay usuarios compartiendo con usted";
		OrigEnglish["Please select a user"] = 
			"Favor de escojer un usuario";			
		OrigEnglish["NEW"] = 
			"NUEVO";	
		OrigEnglish["No recent notification of a phase transition."] = 
			"No tiene notificaciones de cambio de fases.";			
		OrigEnglish["Estimated Phase I ending on or before "] = 
			"Estimado de la Fase I termina en o antes de";
		OrigEnglish["Phase I ended on "] = 
			"Fase I termina en";			
		OrigEnglish["Phase III started on "] = 
			"Fase III comienza en";			
		OrigEnglish["According to the unselected Temp Only Rule, Phase III started on "] = 
			"@According to the unselected Temp Only Rule, Phase III started on @";			
		OrigEnglish["According to the unselected Mucus Only Rule, Phase III started on "] = 
			"@According to the unselected Mucus Only Rule, Phase III started on @";
		OrigEnglish["According to the unselected ST Rule, Phase III started on "] = 
			"@According to the unselected ST Rule, Phase III started on @";			
		OrigEnglish["The server could not be reached to grant permission for this chart and create a public URL.  Please try again later or try creating it after logging into the website. If this problem continues, please contact support."] = 
			"El servidor no ha permitido que esta grfica pueda publicarse. Trate mas tarde o intente en la pgina web. Si este problema continua, contacte el botn de ayuda.";
		OrigEnglish["New posts must contain a headline and a message body before you can post it."] = 
			"Nuevos mensajes requieren un encabezado y contenido antes de enviarlos.";			
		OrigEnglish["Post Failed"] = 
			"Mensaje no pudo ser enviado";
		OrigEnglish["Operation Failed"] = 
			"Operacin no fue posible";			
		OrigEnglish["Posting to the online message boards requires an active subscription.  Please check your account and try again."] = 
			"Para poner mensajes se requiere una subscripcin activa. Favor de revisar su cuenta y tratar de nuevo.";			
		OrigEnglish["There was a problem posting your message.  Please confirm you are connected to the internet and try again."] = 
			"Su mensaje no fue publicado. Favor de confirmar su conexin de internet y tratar de nuevo.";			
		OrigEnglish["Your Response"] = 
			"Su respuesta";
		OrigEnglish["No cycle is specified.  Please view the chart for the cycle you wish to search with and try again. (Charts &gt; Pick Another Cycle)"] = 
			"Debe escoger un ciclo. Va la grfica que desea revisar y trate de nuevo.";			
		OrigEnglish["Cannot search"] = 
			"Busqueda no es posible";	
		OrigEnglish["No matching charts could be found"] = 
			"No hay grficas con ese criterio";			
		OrigEnglish["Stop watching<br>this student's<br>phase changes"] = 
			"Dejar de ver los cambios de fase de <br>este estudiante<br>";
		OrigEnglish["Begin watching<br>this student's<br>phase changes"] = 
			"Comenzar a ver los cambios de fase de <br>este estudiante<br>";			
		OrigEnglish["Cannot connect to validate username."] = 
			"No hay conexin para validar nombre de usuario.";			
		OrigEnglish["This username does not exist!"] = 
			"Este nombre de usuario no existe";			
		OrigEnglish["Unknown - Could not check status"] = 
			"Desconocido - Imposible ver estatus";
		OrigEnglish["Subscription is Expired<br>Expired on: "] = 
			"Subscripcin ha expirado<br>Expira en: ";			
		OrigEnglish["Subscription is Active<br>Active through: "] = 
			"Subscripcin activa<br>hasta: ";
		OrigEnglish["Manage Subscriptions"] = 
			"Manejar Subscripcin";
		OrigEnglish["You have not recorded any previous pregnancies."] = 
			"No ha registrado embarazos anteriormente.";			
		OrigEnglish["No pregnancies recorded yet"] = 
			"No hay embarazos registrados";
		OrigEnglish["Please select a pregnancy"] = 
			"Favor de seleccionar un Embarazo";
		OrigEnglish["Pregnancy "] = 
			"Embarazo ";			
		OrigEnglish["Started:"] = 
			"Comienza:";			
		OrigEnglish[" days"] = 
			" das";
		OrigEnglish["Type:"] = 
			"Tipo:";
		OrigEnglish["End Date:"] = 
			"Termina:";			
		OrigEnglish["No hashtags defined"] = 
			"No hay Hashtags definidos";
		OrigEnglish["No contacts defined"] = 
			"No hay contactos definidos";
		OrigEnglish["Please select a contact"] = 
			"Favor de escojer su contacto";			
		OrigEnglish["Please select a hashtag"] = 
			"Favor de escojer su Hashtag";
		OrigEnglish["No hashtags defined"] = 
			"No hay Hashtags definidos";
		OrigEnglish["No contacts defined"] = 
			"No hay contactos definidos";			
		OrigEnglish["Password Changed"] = 
			"Contrasea cambiada";
		OrigEnglish["Incorrect Password"] = 
			"Contrasea incorrecta";
		OrigEnglish["The specified date is invalid.  Please enter a date in yyyy-mm-dd format and try again."] = 
			"Esta fecha no es vlida. Favor de usar formato de aaaa-mm-dd y trate de nuevo.";			
		OrigEnglish["The specified end date is invalid.  Please enter a date in yyyy-mm-dd format and try again."] = 
			"Esta fecha para terminar no es vlida. Favor de usar formato de aaaa-mm-dd y trate de nuevo.";
		OrigEnglish["The specified start date is invalid.  Please enter a date in yyyy-mm-dd format and try again."] = 
			"Esta fecha para comenzar no es vlida. Favor de usar formato de aaaa-mm-dd y trate de nuevo.";			
		OrigEnglish["Invalid Date"] = 
			"Fecha no es vlida";
		OrigEnglish["The specified end date is invalid.  Please enter a date in yyyy-mm-dd format and try again."] = 
			"Esta fecha seleccionada no es vlida. Favor de usar formato de aaaa-mm-dd y trate de nuevo.";
		OrigEnglish["The new pregnancy cannot be recorded because it overlaps a previously recorded pregnancy. The conflicting pregnancy started on "] = 
			"Este nuevo embarazo no puede registrarse ya que existe otro en ese mismo lugar. Este otro embarazo comienza en";			
		OrigEnglish[".  Remove it or use the Manual Due Date entry option to specify the pregnancy duration to avoid this overlap."] = 
			".  Remueva o cambie la fecha del parto manualmente para corregir el conflicto de fechas.";
		OrigEnglish["Cannot Create Pregnancy"] = 
			"No es posible crear un Embarazo";
		OrigEnglish["The new pregnancy cannot be recorded because it overlaps a previously recorded cycle.  The conflicting cycle started on "] = 
			"Este nuevo Embarazo no puede registrarse ya que existe un ciclo registrado en esta fecha. Este ciclo comienza en ";			
		OrigEnglish[" If you believe another cycle exists and is not being recognized (likely because it was not recorded in the app), load the chart for that cycle first to force app synchronization for that cycle and try again."] = 
			"Si piensa que otro ciclo ya existe y no ha sido reconocido, escoja la grfica para forzar la sincronizacin y trate nuevamente.";
		OrigEnglish["Each pregnancy must have at least 1 cycle recorded before it starts.  The new pregnancy does not. Record the menstrual cycle prior to the start of this pregnancy and try again."] = 
			"Cada Embarazo debe tener al menos 1 ciclo registrado antes de comenzar. Debe anotar un ciclo menstrual al comienzo de esta grfica de Embarazo.";
		OrigEnglish["Each pregnancy must have 1 unique cycle recorded before it starts. The cycle before this pregnancy already has another pregnancy recorded by it. Please record a new cycle between the pregnancies or delete the other pregnancy and try again."] = 
			"Cada Embarazo debe tener 1 ciclo nico registrado antes del comienzo. El ciclo previo ya est marcado como Embarazo. Es necesario registrar un ciclo regular o borrar el embarazo anterior y tratar de nuevo.";			
		OrigEnglish["Each pregnancy must have 1 unique cycle recorded within 150 days of its start. This pregnancy ("] = 
			"Cada Embarazo debe tener 1 ciclo registrado durante los 150 das antes del comienzo. Este Embarazo (";
		OrigEnglish[") has a cycle too long before it ("] = 
			") tiene un ciclo mucho antes de este requisito (";
		OrigEnglish[").  These dates are "] = 
			").  Estas fechas estn ";			
		OrigEnglish[" days apart.  Record a cycle that is less than 150 days prior to the pregnancy start and try again."] = 
			" das de distancia.  Registre un ciclo a menos de 150 das antes del Embarazo y trate de nuevo.";
		OrigEnglish["This pregnancy has been updated."] = 
			"Este Embarazo ha sido actualizado.";
		OrigEnglish["A new pregnancy was created."] = 
			"Un nuevo Embarazo fue creado.";			
		OrigEnglish["Could not find the selected pregnancy.  Please try resynchronizing by pressing the Sync button and try again."] = 
			"No es posible encontrar el Embarazo seleccionado. Favor de sincronizar usando el botn 'Sinc' y trate de nuevo.";
		OrigEnglish["Could not edit pregnancy"] = 
			"No es posible editar Embarazo";			
		OrigEnglish["Pregnancy was deleted."] = 
			"Embarazo fue borrado.";
		OrigEnglish["You must specify a group code."] = 
			"Debe especificar su cdigo de grupo.";
		OrigEnglish["Could not save group"] = 
			"No es posible guardar el grupo";
		OrigEnglish["You cannot use the @ symbol in your group code."] = 
			"No puede usar @ para el cdigo de grupo.";
		OrigEnglish["This group has been saved."] = 
			"Este grupo fue guardado.";
		OrigEnglish["Success"] = 
			"Exito";
		OrigEnglish["Could not find the selected group."] = 
			"No fue posible encontrar el grupo seleccionado.";
		OrigEnglish["Error"] = 
			"Error";
		OrigEnglish[" was deleted."] = 
			" fue borrado.";
		OrigEnglish["Begin watching<br>this student's<br>phase changes"] = 
			"Comience a ver cambios de fase en <br>este estudiante<br>";
		OrigEnglish["Stop watching<br>this student's<br>phase changes"] = 
			"Pare de ver cambios de fase en <br>este estudiante<br>";
		OrigEnglish["You can visit "] = 
			"Puede visitar ";
		OrigEnglish[" to try to login or to recover your password. Click the 'Recover Password' link below to go to the password recovery screen."] = 
			" para recuperar su contrasea, visite la pgina web y presione 'Recuperar contrasea'";
		OrigEnglish["Recover Password"] = 
			"Recuperar Contrasea";
		OrigEnglish["You must enter your username and password before trying to login.  One of these fields was left blank.  If you forgot your password, you can recover it online using the email address you registered under."] = 
			"Debe entrar su Nombre de usuario y contrasea antes de iniciar sesin. Uno de los espacios est en blanco. Si ha olvidad su contrasea puede recuperarla en la pgina web usando su direccin de correo electrnico.";
		OrigEnglish["Missing Login"] = 
			"Favor entrar Nombre de usuario y contrasea";
		OrigEnglish["The login is incorrect.  Please re-enter it and try again.  If you want to link the app to a different account, uninstall and reinstall it first."] = 
			"Su informacin de acceso es incorrecta. Favor de entrarla nuevamente. Si quiere conectar la Aplicacin con otra cuenta, debe remover la aplicacin movil y reinstalarla.";
		OrigEnglish["Recover Password"] = 
			"Recuperar contrasea";
		OrigEnglish["Invalid Login"] = 
			"Informacin de acceso invlida";
		OrigEnglish["The login is incorrect.  Please re-enter it and try again.  If you forgot your password, you can recover it at MyFertilityCharts.com."] = 
			"@The login is incorrect.  Please re-enter it and try again.  If you forgot your password, you can recover it at MyFertilityCharts.com.@";
		OrigEnglish["Invalid Login"] = 
			"Informacion de acceso invlida";
		OrigEnglish["The login could not be authenticated at this time.  Please try again later."] = 
			"No es posible confirmar su informacin de acceso. Favor de tratar ms tarde.";
		OrigEnglish["You must specify a username and password to secure your data entered within this app."] = 
			"Debe especificar un Nombre de usuario y una contrasea para asegurar sus datos cuando use esta aplicacin.";
		OrigEnglish["Your username cannot have spaces or other special characters.  Please use letters and numbers only."] = 
			"Su Nombre de usuario no debe incluir espacios o caracteres especiales. Favor de usar letras y nmeros solamente.";
		OrigEnglish["You must confirm your password by re-entering it.  The password you retyped does not match what you first entered."] = 
			"Debe confirmar su contrasea entrandola nuevamente. La contrasea usada no corresponde a la entrada inicialmente.";
		OrigEnglish["You must be online to create an account.  Please connect to the internet using wifi or a cellular network and try again.  If you are already connected and receive this message in error, please try closing the app and restarting it again."] = 
			"Es necesario estar en lnea para crear una cuenta. Si tiene conexin y recibe este mensaje, trate de cerrar la aplicacin y volver a abrirla.";
		OrigEnglish["The username is specified is already taken.  If you already setup this account, please enter the username and password and select that you want to link to an existing account.  Otherwise please enter another username and try again."] = 
			"Este Nombre de usario ya existe. Si usted ya ha creado una cuenta, favor de usar en Nombre de usuario con la contrasea selecciona inicialmente. De lo contrario escoja un Nombre de usuario distinto y trate otra vez.";
		OrigEnglish["The email address you specified already has an existing account.  If you want to associate this app with that account, please enter your login information and select the option to link to an existing account, then try again."] = 
			"Esta direccin de correo electrnico pertenece a una cuenta que ya existe. Si desea conectarse a una cuenta existente, entre la informacin de acceso y seleccione la opcin de conectar a otra cuenta y trate otra vez.";
		OrigEnglish["The account you are trying to link to has had its password reset due to too many failed attempts to login.  Please visit "] = 
			"Su cuenta necesita recuperar su contrasea debido a demasiados intentos fallidos. Favor de visitar ";
		OrigEnglish[" and use the forgotten password link to recover your password."] = 
			" y use 'Recuperar contrasea'.";
		OrigEnglish["The username and password you entered are not associated with a valid account at "] = 
			"El Nombre de usuario y la contrasea utilizada no pertenecen a una cuenta validada en ";
		OrigEnglish[".  Please re-enter the username and password and try again or setup a new account if you do not already have one."] = 
			".  Favor de volver a entrar el Nombre de usuario y la contrasea nuevamente o cree una nueva cuenta, si todava no lo ha hecho.";
		OrigEnglish["You must enter a valid classroom code given to you by your instructor. Do not use this feature unless specifically instructed by CCL."] = 
			"Debe entrar un cdigo de clase que le haya sido dado por su instructor. No use esta funcin si no ha tomado la clase con la LPP.";		
		OrigEnglish["Missing Code"] = 
			"Falta el codigo";
		OrigEnglish["The server did not recognize or accept the classroom code provided."] = 
			"El servidor no reconoce o acepta el cdigo que usted ha entrado.";
		OrigEnglish["The server successfully processed the classroom code. "] = 
			"El servidor ha aceptado el cdigo. ";			
			// Chart abbrev
		OrigEnglish["d"] = 
			"s";
		OrigEnglish["m"] = 
			"h";
		OrigEnglish["w"] = 
			"m";
		OrigEnglish["sl"] = 
			"r";
		OrigEnglish["w<br>sl"] = 
			"m<br>r";
		OrigEnglish["n"] = 
			"n";
		OrigEnglish["t"] = 
			"p";
		OrigEnglish["s"] = 
			"e";
		OrigEnglish["P"] = 
			"C";
		OrigEnglish["Day of Cycle"] = 
			"Da del ciclo";
		OrigEnglish["Show All (no filter)"] = 
			"Todos (sin filtro)";
		OrigEnglish["No Target Group (public post)"] = 
			"No hay grupo identificado (mensaje pblico)";
		OrigEnglish["Send Private<br>Message to"] = 
			"Mensaje Privado<br>a";	
		OrigEnglish["due to mucus"] = 
			"hay mucosidad";
		OrigEnglish["rule not available"] = 
			"no disponible";
		OrigEnglish["Payment"] = 
			"Pago";
		OrigEnglish["Paid"] = 
			"Total de";
		OrigEnglish["Order"] = 
			"Orden";
		OrigEnglish["Expires on"] = 
			"Expira en";
		OrigEnglish[" on "] = 
			" en ";
		OrigEnglish[" [Cht "] = 
			" [Grf ";
		OrigEnglish["No cycles recorded yet"] = 
			"Escoja un ciclo";
		OrigEnglish["Technical Support"] = 
			"Ayuda Tcnica";
		OrigEnglish["Ask a Teacher"] = 
			"Pregunta a un Consultor";
		OrigEnglish["Postpartum"] = 
			"Posparto";
		OrigEnglish["askteacher"] = 
			"consultor";
		OrigEnglish["postpartum"] = 
			"posparto";
		OrigEnglish["support"] = 
			"ayuda";
		OrigEnglish["(<i>none</i>)"] = 
			"(<i>ninguna</i>)";	
		OrigEnglish["Waiting on Response"] = 
			"Esperando respuesta";		
		// Look up value
		retval = OrigEnglish[english_string];
		if (retval == '') 
		{
			printDebug('could not translate ' + english_string);
		}
	}
	else
	{
		retval = english_string;
	}
	return retval;
}

// Special Cases that need translations
function getDaysOfWeekArray()
{
	if (global_spanish > 0)
	{
		return ['Dom','Lun','Mar','Mier','Jue','Vie','Sab'];
	}
	else
	{
		return ['Sun','Mon','Tue','Wed','Thu','Fri','Sat'];
	}
}
function getMonthsArray()
{
	if (global_spanish > 0)
	{
		return ['Enero','Febrero','Marzo','Abril','Mayo','Junio','Julio','Agosto','Septiembre','Octubre','Noviembre','Diciembre'];
	}
	else
	{
		return ['Jan','Feb','Mar','Apr','May','June','July','Aug','Sept','Oct','Nov','Dec'];
	}
}
function getFullMonthsArray()
{
	if (global_spanish > 0)
	{
		return ['Enero','Febrero','Marzo','Abril','Mayo','Junio','Julio','Agosto','Septiembre','Octubre','Noviembre','Diciembre'];
	}
	else
	{
		return ['January','February','March','April','May','June','July','August','September','October','November','December'];
	}
}
function PrintDateForChart(date_obj, vert_OR_horz_NOT)
{
	var months_vert;
    var months_horz;
	if (global_spanish > 0)
	{
		months_vert = ['E<br>n<BR>e<BR>&nbsp;<BR>', 'F<br>e<BR>b<BR>&nbsp;<BR>', 'M<br>a<BR>r<BR>&nbsp;<BR>', 'A<br>b<BR>r<BR>&nbsp;<BR>', 'M<br>a<BR>y<BR>&nbsp;<BR>', 'J<br>u<BR>n<BR>&nbsp;<BR>', 'J<br>u<BR>l<BR>&nbsp;<BR>', 'A<br>g<BR>o<BR>&nbsp;<BR>', 'S<br>e<BR>p<BR>&nbsp;<BR>', 'O<br>c<BR>t<BR>&nbsp;<BR>', 'N<br>o<BR>v<BR>&nbsp;<BR>', 'D<br>i<BR>c<BR>&nbsp;<BR>'];
		months_horz = ['Ene', 'Feb', 'Mar', 'Abr', 'May', 'Jun', 'Jul', 'Ago', 'Sep', 'Oct', 'Nov', 'Dic'];
	}
	else
	{
		months_vert = ['J<br>a<BR>n<BR>&nbsp;<BR>', 'F<br>e<BR>b<BR>&nbsp;<BR>', 'M<br>a<BR>r<BR>&nbsp;<BR>', 'A<br>p<BR>r<BR>&nbsp;<BR>', 'M<br>a<BR>y<BR>&nbsp;<BR>', 'J<br>u<BR>n<BR>&nbsp;<BR>', 'J<br>u<BR>l<BR>&nbsp;<BR>', 'A<br>u<BR>g<BR>&nbsp;<BR>', 'S<br>e<BR>p<BR>&nbsp;<BR>', 'O<br>c<BR>t<BR>&nbsp;<BR>', 'N<br>o<BR>v<BR>&nbsp;<BR>', 'D<br>e<BR>c<BR>&nbsp;<BR>'];
		months_horz = ['Jan', 'Feb', 'Mar', 'Apr', 'May', 'Jun', 'Jul', 'Aug', 'Sep', 'Oct', 'Nov', 'Dec'];
	}
    if (vert_OR_horz_NOT)
    {
        return months_vert[date_obj.getMonth()] + ' ' + date_obj.getDate();
    }
    else
    {
        return months_horz[date_obj.getMonth()] + ' ' + date_obj.getDate();
    }
}
function GetMenuText(menu_icon_id)
{
	const CALENDAR_MENU = 1;
	const CHARTS_MENU = 2;
	const CONNECT_MENU = 3;
	const SETTINGS_MENU = 4;
	const SYNC_MENU = 5;
	var retStr = '';
	
	if (global_spanish > 0)
	{
		switch(menu_icon_id)
		{
		case CALENDAR_MENU:
			retStr = 'Calendario';
			break;
		case CHARTS_MENU:
			retStr = '&nbsp;&nbsp;&nbsp;Grfica';
			break;
		case CONNECT_MENU:
			retStr = '&nbsp;Conectar';
			break;
		case SETTINGS_MENU:
			retStr = 'Controles';
			break;
		case SYNC_MENU:
			retStr = '&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Sinc';
			break;
		default:
			break;
		}
	}	
	else
	{
		switch(menu_icon_id)
		{
		case CALENDAR_MENU:
			retStr = '&nbsp;Calendar';
			break;
		case CHARTS_MENU:
			retStr = '&nbsp;&nbsp;&nbsp;Charts';
			break;
		case CONNECT_MENU:
			retStr = '&nbsp;&nbsp;Connect';
			break;
		case SETTINGS_MENU:
			retStr = '&nbsp;&nbsp;Settings';
			break;
		case SYNC_MENU:
			retStr = '&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Sync';
			break;
		default:
			break;
		}
	}
	return retStr;
}


// Function actually swaps out text
function translate(tContentObj)
{
	printDebug('translating ' + tContentObj.length + ' to ' + global_spanish);
	
	// Loop through all specified content
	for (var i=0; i<tContentObj.length; i++)
	{
		// Get text
		var new_language;
		if (global_spanish > 0)
		{
			new_language = tContentObj[i].spanish;
		}
		else
		{
			new_language = tContentObj[i].english;
		}
		// Swap text
		switch(tContentObj[i].fieldType)
		{
		case FTYPE_TEXT:
			document.getElementById(tContentObj[i].fieldName).innerHTML = new_language;
			break;
		case SELOPTION_TEXT:
			document.getElementsByName(tContentObj[i].fieldName)[0].options[tContentObj[i].index].innerHTML = new_language;
			break;
		case FTYPE_BUTTON:
			$('#' + tContentObj[i].fieldName).val(new_language).button( "refresh" );
			break;
		case FTYPE_PLACEHOLDER:
			document.getElementById(tContentObj[i].fieldName).placeholder = new_language;
			break;
		case FTYPE_IMG:
			document.getElementById(tContentObj[i].fieldName).src = new_language;
			break;
		default:
			break;
		}
	}
	return;
}
function printSpanishSupport()
{
	if (global_spanish > 0)
	{
		return "consultor";
		//return "consultor" + global_spanish;
	}
	else
	{
		return "support";
	}	
}
