// Custom JS for CCL Build
var BUILD_4_MFC = 1; var BUILD_4_DOSP = 2; var BUILD_4_CCL = 3; var BUILD_4_BOS = 4;
// Equivalent of NFPLink variation setting on server project
var BUILD_TARGET = BUILD_4_CCL;

var gAmazonSenderID = "815265484501";
var gAndroidSenderID = "815265484501";

///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// FUNCTIONS FOR CCL APP
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////


	//Tip of the Day
	function getCCLQuotes(which_tip)
	{
		if (global_spanish > 0)
		{
			switch(which_tip)
			{	
			case 0:
				tipStr = "Gu&iacute;as para la Fase I (si desea posponer embarazo): 1) Relaciones matrimoniales en las noches solamente;; 2) Relaciones no en d&iacute;as consecutivos; 3) Una vez aparece mucosidad debe considerares en Fase II.";    
				break; 
			case 1:
			   tipStr = "Puede instalar esta aplicaci&oacute;n en el tel&eacute;fono de su pareja para que ambos puedan ver tus ciclos.";
				break;
			case 2:
				tipStr = "Comience sus anotaciones, no m&aacute;s tarde del D&iacute;a 5 del ciclo";
				break;
			case 3:
				tipStr = "Si tienen alguna pregunta o identifican alg&uacute;n problema en la navegaci&oacute;n o en la presentaci&oacute;n de la aplicaci&oacute;n, puede ir a bot&oacute;n de 'Conectar' y en la secci&oacute;n 'Foro Mensajes' hacer su pregunta.";
				break;
			case 4:
				tipStr = "Durante los fines de semana, tome la temperatura a la misma hora... puede anotarla m&aacute;s tarde, una vez se levante.";
				break;
			case 5:
				tipStr = "Al final del d&iacute;a deben anotar la mucosidad del tipo m&aacute;s f&eacute;rtil en la secci&oacute;n de sensaciones y la de caracter&iacute;sticas.";
				break;
			default:
				tipStr = "Index not found.";
				break;
			}
		}
		else
		{
			switch(which_tip)
			{
			case 0:
				tipStr = "Be sure to complete the 'Startup Questionnaire', at CycleProGo.com before you start recording data from your mobile device. This provides key information for the best interpretations and experience. If you're not sure if you did it, go to CycleProGo.com, and select 'Home >  Startup Questionnaire'.";    
				break; 
			case 1:
			   tipStr = "Start a new cycle by clicking on the date your period started on the Calendar View.  Check the box for 'This day should start a new chart' and specify the type of chart.";
				break;
			case 2:
				tipStr = "To get the most out of this app, you should record daily symptoms like your basal body temperature, mucus observations, or other daily symptoms.  If you have taken a CCL course and haven't indicated that, visit CycleProGo.com to update your account.";
				break;
			case 3:
				tipStr = "The Calendar view allows you to select a given day to start a new cycle or enter data for that day.";
				break;
			case 4:
				tipStr = "When pressing the 'Charts' button you can  pick another cycle, view your chart, modify which Phase I or Phase III rules to use, and see your cycle history.";
				break;
			case 5:
				tipStr = "When pressing the 'Connect' button you will find  links to valuable information that will support your use of NFP.  This includes message boards and the ability to share your charts with your CCL teaching couple.  Visit CCLi.org to find a teaching couple if you do not have one.";
				break;
			case 6:
				tipStr = "When pressing the 'Settings' button, you can change your password, add Custom events that are unique to you, and manage your online subscription.";
				break;
			case 7:
				tipStr = "This app automatically synchronizes in the background. You can  do this manually by clicking on the 'Sync' button. Your information will be backed up on a secure remote server.  The cloud performs some analysis, so make sure you are connected to the internet and synchronize periodically.";
				break;
			case 8:
				tipStr = "You can also access your data on your computer at CycleProGo.com.  This is a great way to view and print your charts for reference or to change profile settings. The web also offers some additional features as well. ";
				break;
			case 9:
				tipStr = "Insomnia or Traveling? Click on the 'Settings' button and select 'Configure Events' to add/remove specific events according to your situation.  Use 'Custom' drop-down to add your own events";
				break;
			case 10:
				tipStr = "Update your NFP skills by taking a refresher NFP class. Visit register.ccli.org to find a local or virtual class.";
				break;
			case 11:
				tipStr = "Afraid of what might happen if you lose your phone? CycleProGo.com allows you to access your data, change passwords, and continue your charting online through a computer's browser. Getting your data onto a new phone is as simple as installing the app, and then logging in and clicking 'sync.' You will be right back where you were before you lost your phone!"
				break;
			case 12:
				tipStr = "Does your husband want to see your charts as well? The app can be installed on all your mobile devices.  Just remember to use the same username and password when logging in.";
				break;
			case 13:
				tipStr = "Stay up-to-date. Install this app on your spouse's mobile device to share charts, add notes, and to stay connected.";
				break;
			case 14:
				tipStr = "Need more help? Take a moment to visit our Help section for additional tips and features. Visit CycleProGo.com.";
				break;
			default:
				tipStr = "Index not found.";
				break;
			}	
		}	
		return tipStr;
	}